/*
 * Copyright 2024 Google LLC
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */




// ----------------------------------------------------------------
// Sample captured at: 2015-09-30 23:04:00 local, 2015-10-01 06:04:00 GMT
AlgDlsMinuteData *activity_sample_2015_09_30_23_04_00(int *len) {
  // The unit tests parse the //> TEST_.* lines below for test values
  //> TEST_NAME pbl_25945
  //> TEST_VERSION 2
  //> TEST_TOTAL -1
  //> TEST_TOTAL_MIN -1
  //> TEST_TOTAL_MAX -1
  //> TEST_DEEP -1
  //> TEST_DEEP_MIN -1
  //> TEST_DEEP_MAX -1
  //> TEST_START_AT 105
  //> TEST_START_AT_MIN 90
  //> TEST_START_AT_MAX 120
  //> TEST_END_AT -1
  //> TEST_END_AT_MIN -1
  //> TEST_END_AT_MAX -1
  //> TEST_CUR_STATE_ELAPSED -1
  //> TEST_CUR_STATE_ELAPSED_MIN -1
  //> TEST_CUR_STATE_ELAPSED_MAX -1
  //> TEST_IN_SLEEP 0
  //> TEST_IN_SLEEP_MIN 0
  //> TEST_IN_SLEEP_MAX 0
  //> TEST_IN_DEEP_SLEEP 0
  //> TEST_IN_DEEP_SLEEP_MIN 0
  //> TEST_IN_DEEP_SLEEP_MAX 0
  //> TEST_WEIGHT 1.0

  // list of: {steps, orientation, vmc, light}
  static AlgDlsMinuteData samples[] = {
    { 11, 0x56, 990, 0x0},
    { 0, 0x47, 261, 0x0},
    { 0, 0x47, 895, 0x0},
    { 0, 0x63, 963, 0x0},
    { 0, 0x73, 1074, 0x0},
    { 0, 0x72, 1030, 0x0},
    { 0, 0x74, 1229, 0x0},
    { 0, 0x65, 713, 0x0},
    { 0, 0x46, 1147, 0x0},
    { 0, 0x63, 566, 0x0},
    { 0, 0x64, 1704, 0x0},
    { 0, 0x72, 1348, 0x0},
    { 8, 0x74, 1915, 0x0},
    { 9, 0x74, 1305, 0x0},
    { 0, 0x73, 158, 0x0},
    // 15: Local time: 11:19:00 PM
    { 0, 0x47, 1320, 0x0},
    { 0, 0x66, 1138, 0x0},
    { 0, 0x72, 985, 0x0},
    { 0, 0x73, 1206, 0x0},
    { 0, 0x72, 2738, 0x0},
    { 0, 0x71, 180, 0x0},
    { 0, 0x71, 278, 0x0},
    { 0, 0x71, 217, 0x0},
    { 0, 0x71, 606, 0x0},
    { 0, 0x71, 572, 0x0},
    { 0, 0x71, 1053, 0x0},
    { 0, 0x71, 1160, 0x0},
    { 0, 0x71, 816, 0x0},
    { 0, 0x71, 1212, 0x0},
    { 0, 0x74, 988, 0x0},
    // 30: Local time: 11:34:00 PM
    { 0, 0x36, 1944, 0x0},
    { 0, 0x55, 779, 0x0},
    { 0, 0x55, 559, 0x0},
    { 0, 0x55, 158, 0x0},
    { 0, 0x55, 236, 0x0},
    { 0, 0x54, 597, 0x0},
    { 0, 0x57, 962, 0x0},
    { 0, 0x57, 325, 0x0},
    { 0, 0x57, 633, 0x0},
    { 0, 0x67, 407, 0x0},
    { 0, 0x68, 815, 0x0},
    { 0, 0x67, 2280, 0x0},
    { 0, 0x66, 516, 0x0},
    { 0, 0x66, 0, 0x0},
    { 0, 0x66, 0, 0x0},
    // 45: Local time: 11:49:00 PM
    { 0, 0x66, 42, 0x0},
    { 0, 0x66, 66, 0x0},
    { 0, 0x66, 159, 0x0},
    { 0, 0x66, 39, 0x0},
    { 0, 0x66, 0, 0x0},
    { 0, 0x6b, 2834, 0x0},
    { 0, 0x3b, 1629, 0x0},
    { 0, 0x6a, 1112, 0x0},
    { 0, 0x5a, 541, 0x0},
    { 0, 0x4b, 734, 0x0},
    { 0, 0x6a, 676, 0x0},
    { 0, 0x69, 708, 0x0},
    { 0, 0x69, 507, 0x0},
    { 0, 0x6a, 666, 0x0},
    { 0, 0x68, 307, 0x0},
    // 60: Local time: 12:04:00 AM
    { 0, 0x79, 0, 0x0},
    { 0, 0x79, 167, 0x0},
    { 0, 0x7a, 0, 0x0},
    { 0, 0x7a, 0, 0x0},
    { 0, 0x7a, 0, 0x0},
    { 0, 0x78, 925, 0x0},
    { 0, 0x6b, 503, 0x0},
    { 0, 0x5b, 1038, 0x0},
    { 6, 0x6a, 756, 0x0},
    { 0, 0x66, 0, 0x0},
    { 0, 0x66, 0, 0x0},
    { 0, 0x66, 14, 0x0},
    { 0, 0x66, 44, 0x0},
    { 0, 0x66, 17, 0x0},
    { 0, 0x66, 45, 0x0},
    // 75: Local time: 12:19:00 AM
    { 0, 0x77, 47, 0x0},
    { 0, 0x76, 22, 0x0},
    { 0, 0x66, 207, 0x0},
    { 0, 0x78, 855, 0x0},
    { 0, 0x66, 321, 0x0},
    { 0, 0x66, 60, 0x0},
    { 0, 0x65, 11, 0x0},
    { 0, 0x65, 0, 0x0},
    { 0, 0x67, 359, 0x0},
    { 0, 0x66, 836, 0x0},
    { 0, 0x66, 23, 0x0},
    { 0, 0x66, 183, 0x0},
    { 0, 0x66, 352, 0x0},
    { 0, 0x67, 1759, 0x0},
    { 0, 0x5b, 1855, 0x0},
    // 90: Local time: 12:34:00 AM
    { 0, 0x5a, 433, 0x0},
    { 0, 0x5a, 179, 0x0},
    { 0, 0x35, 509, 0x0},
    { 0, 0x44, 8283, 0x0},
    { 0, 0x42, 5726, 0x0},
    { 0, 0x40, 2521, 0x0},
    { 0, 0x22, 4064, 0x0},
    { 0, 0x41, 9556, 0x0},
    { 0, 0x45, 1728, 0x0},
    { 0, 0x67, 4838, 0x0},
    { 0, 0x69, 1801, 0x0},
    { 11, 0x87, 1659, 0x0},
    { 0, 0x7c, 381, 0x0},
    { 0, 0x8f, 3367, 0x0},
    { 0, 0x71, 3586, 0x0},
    // 105: Local time: 12:49:00 AM
    { 0, 0x7f, 522, 0x0},
    { 0, 0x70, 41, 0x0},
    { 0, 0x70, 0, 0x0},
    { 0, 0x70, 0, 0x0},
    { 0, 0x70, 0, 0x0},
    { 0, 0x70, 0, 0x0},
    { 0, 0x70, 269, 0x0},
    { 0, 0x6f, 100, 0x0},
    { 0, 0x6f, 75, 0x0},
    { 0, 0x70, 179, 0x0},
    { 0, 0x70, 16, 0x0},
    { 0, 0x7f, 204, 0x0},
    { 0, 0x7f, 97, 0x0},
    { 0, 0x70, 32, 0x0},
    { 0, 0x7f, 1836, 0x0},
    // 120: Local time: 01:05:00 AM
    { 0, 0x1a, 122, 0x0},
    { 0, 0x1a, 0, 0x0},
    { 0, 0x19, 2727, 0x0},
    { 0, 0x19, 0, 0x0},
    { 0, 0x19, 0, 0x0},
    { 0, 0x18, 35, 0x0},
    { 0, 0x18, 0, 0x0},
    { 0, 0x18, 0, 0x0},
    { 0, 0x18, 47, 0x0},
    { 0, 0x1a, 47, 0x0},
    { 0, 0x19, 1314, 0x0},
    { 0, 0x58, 0, 0x0},
    { 0, 0x58, 578, 0x0},
    { 0, 0x58, 0, 0x0},
    { 0, 0x58, 0, 0x0},
    // 135: Local time: 01:20:00 AM
    { 0, 0x58, 179, 0x0},
    { 0, 0x58, 0, 0x0},
    { 0, 0x58, 0, 0x0},
    { 0, 0x68, 1425, 0x0},
    { 0, 0x63, 3776, 0x0},
    { 0, 0x73, 0, 0x0},
    { 0, 0x73, 0, 0x0},
    { 0, 0x73, 0, 0x0},
    { 0, 0x73, 0, 0x0},
    { 0, 0x73, 0, 0x0},
    { 0, 0x73, 0, 0x0},
    { 0, 0x73, 0, 0x0},
    { 0, 0x73, 0, 0x0},
    { 0, 0x73, 0, 0x0},
    { 0, 0x73, 0, 0x0},
    // 150: Local time: 01:35:00 AM
    { 0, 0x73, 0, 0x0},
    { 0, 0x73, 0, 0x0},
    { 0, 0x73, 0, 0x0},
    { 0, 0x73, 0, 0x0},
    { 0, 0x73, 0, 0x0},
    { 0, 0x73, 0, 0x0},
    { 0, 0x73, 0, 0x0},
    { 0, 0x73, 0, 0x0},
    { 0, 0x73, 0, 0x0},
    { 0, 0x72, 2508, 0x0},
    { 0, 0x70, 0, 0x0},
    { 0, 0x70, 0, 0x0},
    { 0, 0x70, 0, 0x0},
    { 0, 0x7c, 2934, 0x0},
    { 0, 0x6a, 0, 0x0},
    // 165: Local time: 01:50:00 AM
    { 0, 0x6a, 334, 0x0},
    { 0, 0x6a, 267, 0x0},
    { 0, 0x5a, 173, 0x0},
    { 0, 0x5a, 0, 0x0},
    { 0, 0x5a, 0, 0x0},
    { 0, 0x5a, 0, 0x0},
    { 0, 0x5a, 0, 0x0},
    { 0, 0x5a, 0, 0x0},
    { 0, 0x6b, 88, 0x0},
    { 0, 0x6b, 0, 0x0},
    { 0, 0x6b, 0, 0x0},
    { 0, 0x6a, 54, 0x0},
    { 0, 0x6a, 35, 0x0},
    { 0, 0x6a, 763, 0x0},
    { 0, 0x6a, 71, 0x0},
    // 180: Local time: 02:05:00 AM
    { 0, 0x5a, 10, 0x0},
    { 0, 0x5a, 0, 0x0},
    { 0, 0x6a, 155, 0x0},
    { 0, 0x6a, 59, 0x0},
    { 0, 0x6a, 0, 0x0},
    { 0, 0x6a, 0, 0x0},
    { 0, 0x6a, 0, 0x0},
    { 0, 0x6a, 75, 0x0},
    { 0, 0x6a, 112, 0x0},
    { 0, 0x5a, 0, 0x0},
    { 0, 0x5a, 219, 0x0},
    { 0, 0x5a, 0, 0x0},
    { 0, 0x6a, 282, 0x0},
    { 0, 0x6a, 65, 0x0},
    { 0, 0x6a, 0, 0x0},
    // 195: Local time: 02:20:00 AM
    { 0, 0x6a, 0, 0x0},
    { 0, 0x6a, 22, 0x0},
    { 0, 0x6a, 0, 0x0},
    { 0, 0x6a, 10, 0x0},
    { 0, 0x6a, 38, 0x0},
    { 0, 0x6a, 128, 0x0},
    { 0, 0x6a, 53, 0x0},
    { 0, 0x6a, 0, 0x0},
    { 0, 0x6a, 0, 0x0},
    { 0, 0x6a, 0, 0x0},
    { 0, 0x6a, 0, 0x0},
    { 0, 0x6a, 0, 0x0},
    { 0, 0x6a, 0, 0x0},
    { 0, 0x6a, 0, 0x0},
    { 0, 0x6a, 0, 0x0},
    // 210: Local time: 02:35:00 AM
    { 0, 0x6a, 0, 0x0},
    { 0, 0x6a, 0, 0x0},
    { 0, 0x6a, 0, 0x0},
    { 0, 0x6a, 0, 0x0},
    { 0, 0x6a, 0, 0x0},
    { 0, 0x6a, 0, 0x0},
    { 0, 0x6a, 0, 0x0},
    { 0, 0x6a, 0, 0x0},
    { 0, 0x6a, 0, 0x0},
    { 0, 0x6a, 0, 0x0},
    { 0, 0x6a, 0, 0x0},
    { 0, 0x6a, 0, 0x0},
    { 0, 0x6a, 0, 0x0},
    { 0, 0x6a, 0, 0x0},
    { 0, 0x6a, 0, 0x0},
    // 225: Local time: 02:50:01 AM
    { 0, 0x6a, 0, 0x0},
    { 0, 0x6a, 0, 0x0},
    { 0, 0x6c, 1707, 0x0},
    { 0, 0x5e, 47, 0x0},
    { 0, 0x4e, 774, 0x0},
    { 0, 0x2e, 0, 0x0},
    { 0, 0x2e, 0, 0x0},
    { 0, 0x2e, 0, 0x0},
    { 0, 0x2e, 0, 0x0},
    { 0, 0x2e, 0, 0x0},
    { 0, 0x2e, 0, 0x0},
    { 0, 0x2e, 0, 0x0},
    { 0, 0x2e, 0, 0x0},
    { 0, 0x2e, 0, 0x0},
    { 0, 0x2e, 0, 0x0},
    // 240: Local time: 03:05:00 AM
    { 0, 0x2e, 0, 0x0},
    { 0, 0x2e, 0, 0x0},
    { 0, 0x2e, 546, 0x0},
    { 0, 0x6b, 1807, 0x0},
    { 0, 0x5b, 392, 0x0},
    { 0, 0x5b, 0, 0x0},
    { 0, 0x5b, 0, 0x0},
    { 0, 0x5b, 0, 0x0},
    { 0, 0x5b, 0, 0x0},
    { 0, 0x5b, 0, 0x0},
    { 0, 0x5b, 0, 0x0},
    { 0, 0x5b, 0, 0x0},
    { 0, 0x5b, 0, 0x0},
    { 0, 0x5b, 0, 0x0},
    { 0, 0x5b, 0, 0x0},
    // 255: Local time: 03:20:00 AM
    { 0, 0x5b, 0, 0x0},
    { 0, 0x5b, 0, 0x0},
    { 0, 0x5b, 0, 0x0},
    { 0, 0x5b, 0, 0x0},
    { 0, 0x5b, 1154, 0x0},
    { 0, 0x5b, 235, 0x0},
    { 0, 0x6b, 90, 0x0},
    { 0, 0x5b, 355, 0x0},
    { 0, 0x5b, 211, 0x0},
    { 0, 0x5b, 520, 0x0},
    { 0, 0x5b, 760, 0x0},
    { 0, 0x5b, 0, 0x0},
    { 0, 0x5b, 278, 0x0},
    { 0, 0x4b, 0, 0x0},
    { 0, 0x4b, 0, 0x0},
    // 270: Local time: 03:35:00 AM
    { 0, 0x5b, 192, 0x0},
    { 0, 0x5b, 99, 0x0},
    { 0, 0x5b, 88, 0x0},
    { 0, 0x5b, 0, 0x0},
    { 0, 0x6c, 5450, 0x0},
    { 0, 0x7f, 0, 0x0},
    { 0, 0x7f, 0, 0x0},
    { 0, 0x7f, 0, 0x0},
    { 0, 0x60, 156, 0x0},
    { 0, 0x6f, 145, 0x0},
    { 0, 0x6f, 756, 0x0},
    { 0, 0x7f, 50, 0x0},
    { 0, 0x7f, 0, 0x0},
    { 0, 0x7f, 0, 0x0},
    { 0, 0x7f, 0, 0x0},
    // 285: Local time: 03:50:00 AM
    { 0, 0x7f, 0, 0x0},
    { 0, 0x7f, 0, 0x0},
    { 0, 0x7f, 0, 0x0},
    { 0, 0x7f, 0, 0x0},
    { 14, 0x7e, 1548, 0x0},
    { 0, 0x6d, 0, 0x0},
    { 0, 0x7d, 17, 0x0},
    { 0, 0x7d, 321, 0x0},
    { 0, 0x7c, 0, 0x0},
    { 0, 0x7c, 463, 0x0},
    { 0, 0x7d, 0, 0x0},
    { 0, 0x7d, 259, 0x0},
    { 0, 0x7c, 509, 0x0},
    { 0, 0x7b, 0, 0x0},
    { 0, 0x7b, 0, 0x0},
    // 300: Local time: 04:05:00 AM
    { 0, 0x7b, 0, 0x0},
    { 0, 0x7b, 0, 0x0},
    { 0, 0x7b, 211, 0x0},
    { 0, 0x7b, 78, 0x0},
    { 0, 0x7b, 0, 0x0},
    { 0, 0x5c, 837, 0x0},
    { 0, 0x5c, 0, 0x0},
    { 0, 0x5c, 0, 0x0},
    { 0, 0x5c, 0, 0x0},
    { 0, 0x5c, 0, 0x0},
    { 0, 0x69, 473, 0x0},
    { 0, 0x68, 0, 0x0},
    { 0, 0x68, 0, 0x0},
    { 0, 0x68, 0, 0x0},
    { 0, 0x68, 0, 0x0},
    // 315: Local time: 04:20:00 AM
    { 0, 0x68, 0, 0x0},
    { 0, 0x68, 0, 0x0},
    { 0, 0x68, 0, 0x0},
    { 0, 0x68, 0, 0x0},
    { 0, 0x68, 0, 0x0},
    { 7, 0x7f, 870, 0x0},
    { 0, 0x7f, 0, 0x0},
    { 0, 0x7f, 0, 0x0},
    { 0, 0x7f, 0, 0x0},
    { 0, 0x7f, 0, 0x0},
    { 0, 0x7f, 0, 0x0},
    { 0, 0x7f, 0, 0x0},
    { 0, 0x7f, 0, 0x0},
    { 0, 0x7f, 0, 0x0},
    { 0, 0x7f, 0, 0x0},
    // 330: Local time: 04:35:00 AM
    { 0, 0x7f, 0, 0x0},
    { 0, 0x7f, 0, 0x0},
    { 0, 0x7f, 0, 0x0},
    { 0, 0x7f, 0, 0x0},
    { 0, 0x7f, 0, 0x0},
    { 0, 0x7f, 0, 0x0},
    { 0, 0x7f, 0, 0x0},
    { 0, 0x6d, 1961, 0x0},
    { 0, 0x7d, 0, 0x0},
    { 0, 0x7c, 230, 0x0},
    { 0, 0x7b, 0, 0x0},
    { 0, 0x7b, 0, 0x0},
    { 0, 0x7b, 0, 0x0},
    { 0, 0x7b, 0, 0x0},
    { 0, 0x7b, 0, 0x0},
    // 345: Local time: 04:50:00 AM
    { 0, 0x7b, 0, 0x0},
    { 0, 0x7b, 0, 0x0},
    { 0, 0x7b, 0, 0x0},
    { 0, 0x7b, 0, 0x0},
    { 0, 0x7b, 0, 0x0},
    { 0, 0x7b, 0, 0x0},
    { 0, 0x7b, 0, 0x0},
    { 0, 0x7b, 0, 0x0},
    { 0, 0x7b, 0, 0x0},
    { 0, 0x7b, 0, 0x0},
    { 0, 0x7b, 0, 0x0},
    { 0, 0x7b, 0, 0x0},
    { 0, 0x7b, 0, 0x0},
    { 0, 0x7b, 0, 0x0},
    { 0, 0x7b, 0, 0x0},
    // 360: Local time: 05:05:00 AM
    { 0, 0x7b, 0, 0x0},
    { 0, 0x7b, 0, 0x0},
    { 0, 0x7b, 0, 0x0},
    { 0, 0x7b, 0, 0x0},
    { 0, 0x7b, 0, 0x0},
    { 0, 0x7b, 0, 0x0},
    { 0, 0x7b, 0, 0x0},
    { 0, 0x7b, 0, 0x0},
    { 0, 0x7b, 0, 0x0},
    { 0, 0x7b, 0, 0x0},
    { 0, 0x7b, 0, 0x0},
    { 0, 0x7b, 0, 0x0},
    { 0, 0x6b, 1725, 0x0},
    { 0, 0x5b, 340, 0x0},
    { 0, 0x5b, 0, 0x0},
    // 375: Local time: 05:20:00 AM
    { 0, 0x5b, 0, 0x0},
    { 0, 0x5b, 0, 0x0},
    { 0, 0x5b, 0, 0x0},
    { 0, 0x5b, 497, 0x0},
    { 0, 0x5b, 0, 0x0},
    { 0, 0x5b, 0, 0x0},
    { 0, 0x5a, 0, 0x0},
    { 0, 0x5b, 0, 0x0},
    { 0, 0x5b, 0, 0x0},
    { 0, 0x5b, 1286, 0x0},
    { 0, 0x5a, 0, 0x0},
    { 0, 0x5a, 0, 0x0},
    { 0, 0x5b, 611, 0x0},
    { 0, 0x2e, 20, 0x0},
    { 0, 0x5f, 2406, 0x0},
    // 390: Local time: 05:35:00 AM
    { 0, 0x6f, 0, 0x0},
    { 0, 0x6f, 0, 0x0},
    { 0, 0x6f, 0, 0x0},
    { 0, 0x60, 39, 0x0},
    { 0, 0x60, 0, 0x0},
    { 0, 0x74, 809, 0x0},
    { 0, 0x65, 0, 0x0},
    { 0, 0x65, 0, 0x0},
    { 0, 0x65, 0, 0x0},
    { 0, 0x65, 0, 0x0},
    { 0, 0x65, 37, 0x0},
    { 0, 0x71, 1961, 0x0},
    { 0, 0x7f, 0, 0x0},
    { 0, 0x7f, 0, 0x0},
    { 0, 0x7f, 0, 0x0},
    // 405: Local time: 05:50:00 AM
    { 0, 0x7f, 13, 0x0},
    { 0, 0x7f, 0, 0x0},
    { 0, 0x7f, 0, 0x0},
    { 0, 0x7f, 0, 0x0},
    { 0, 0x7f, 1226, 0x0},
    { 0, 0x64, 38, 0x0},
    { 0, 0x64, 0, 0x0},
    { 0, 0x64, 464, 0x0},
    { 0, 0x13, 911, 0x0},
    { 0, 0x14, 0, 0x0},
    { 0, 0x14, 0, 0x0},
    { 0, 0x14, 127, 0x0},
    { 0, 0x14, 0, 0x0},
    { 0, 0x14, 0, 0x0},
    { 0, 0x13, 0, 0x0},
    // 420: Local time: 06:05:00 AM
    { 0, 0x13, 140, 0x0},
    { 0, 0x13, 0, 0x0},
    { 0, 0x14, 0, 0x0},
    { 0, 0x14, 0, 0x0},
    { 0, 0x14, 146, 0x0},
    { 0, 0x13, 0, 0x0},
    { 0, 0x13, 11, 0x0},
    { 0, 0x13, 11, 0x0},
    { 0, 0x13, 38, 0x0},
    { 0, 0x13, 25, 0x0},
    { 0, 0x13, 0, 0x0},
    { 0, 0x13, 0, 0x0},
    { 0, 0x13, 35, 0x0},
    { 0, 0x13, 0, 0x0},
    { 0, 0x13, 0, 0x0},
    // 435: Local time: 06:20:00 AM
    { 0, 0x13, 14, 0x0},
    { 0, 0x13, 19, 0x0},
    { 0, 0x13, 10, 0x0},
    { 0, 0x13, 20, 0x0},
    { 0, 0x13, 0, 0x0},
    { 0, 0x13, 72, 0x0},
    { 0, 0x13, 0, 0x0},
    { 0, 0x13, 0, 0x0},
    { 0, 0x13, 0, 0x0},
    { 0, 0x13, 0, 0x0},
    { 0, 0x13, 0, 0x0},
    { 0, 0x13, 0, 0x0},
    { 0, 0x13, 45, 0x0},
    { 0, 0x51, 1554, 0x0},
    { 0, 0x6f, 0, 0x0},
    // 450: Local time: 06:35:00 AM
    { 0, 0x6f, 996, 0x0},
    { 0, 0x6f, 0, 0x0},
    { 0, 0x6f, 0, 0x0},
    { 0, 0x6f, 16, 0x0},
    { 0, 0x6f, 0, 0x0},
    { 0, 0x6f, 0, 0x0},
    { 0, 0x6f, 0, 0x0},
    { 0, 0x6f, 0, 0x0},
    { 0, 0x6f, 0, 0x0},
    { 0, 0x6f, 0, 0x0},
    { 0, 0x6f, 0, 0x0},
    { 0, 0x6f, 0, 0x0},
    { 0, 0x6f, 0, 0x0},
    { 0, 0x6f, 0, 0x0},
    { 0, 0x6f, 0, 0x0},
    // 465: Local time: 06:50:01 AM
    { 0, 0x6f, 0, 0x0},
    { 0, 0x6f, 0, 0x0},
    { 0, 0x6f, 0, 0x0},
    { 0, 0x6f, 0, 0x0},
    { 0, 0x6f, 0, 0x0},
    { 0, 0x6f, 0, 0x0},
    { 0, 0x6f, 0, 0x0},
    { 0, 0x6f, 0, 0x0},
    { 0, 0x6f, 0, 0x0},
    { 0, 0x6f, 0, 0x0},
    { 0, 0x6f, 0, 0x0},
    { 0, 0x6f, 0, 0x0},
    { 0, 0x6f, 0, 0x0},
    { 0, 0x6f, 0, 0x0},
    { 0, 0x6f, 0, 0x0},
    // 480: Local time: 07:05:00 AM
    { 0, 0x6f, 0, 0x0},
    { 0, 0x6f, 0, 0x0},
    { 0, 0x6f, 0, 0x0},
    { 0, 0x6f, 0, 0x0},
    { 0, 0x6f, 0, 0x0},
    { 0, 0x6f, 0, 0x0},
    { 0, 0x6f, 0, 0x0},
    { 0, 0x6f, 0, 0x0},
    { 0, 0x6f, 0, 0x0},
    { 0, 0x6f, 0, 0x0},
    { 0, 0x6a, 2550, 0x0},
    { 0, 0x69, 365, 0x0},
    { 0, 0x69, 0, 0x0},
    { 0, 0x69, 0, 0x0},
    { 0, 0x69, 26, 0x0},
    // 495: Local time: 07:20:00 AM
    { 0, 0x69, 0, 0x0},
    { 0, 0x69, 0, 0x0},
    { 0, 0x69, 0, 0x0},
    { 0, 0x69, 374, 0x0},
    { 0, 0x69, 0, 0x0},
    { 0, 0x69, 0, 0x0},
    { 0, 0x69, 199, 0x0},
    { 0, 0x6a, 525, 0x0},
    { 0, 0x5a, 0, 0x0},
    { 0, 0x5a, 0, 0x0},
    { 0, 0x5a, 0, 0x0},
    { 0, 0x5b, 785, 0x0},
    { 0, 0x2e, 0, 0x0},
    { 0, 0x2e, 0, 0x0},
    { 0, 0x2e, 0, 0x0},
    // 510: Local time: 07:35:00 AM
    { 0, 0x2e, 219, 0x0},
    { 0, 0x2e, 0, 0x0},
    { 0, 0x2e, 1746, 0x0},
    { 0, 0x61, 587, 0x0},
    { 0, 0x70, 87, 0x0},
    { 0, 0x70, 31, 0x0},
    { 0, 0x70, 0, 0x0},
    { 0, 0x70, 0, 0x0},
    { 0, 0x6f, 552, 0x0},
    { 0, 0x6f, 0, 0x0},
    { 0, 0x6f, 0, 0x0},
    { 0, 0x6f, 0, 0x0},
    { 0, 0x71, 873, 0x0},
    { 0, 0x44, 264, 0x0},
    { 0, 0x24, 119, 0x0},
    // 525: Local time: 07:50:00 AM
    { 0, 0x14, 158, 0x0},
    { 0, 0x14, 0, 0x0},
    { 0, 0x14, 0, 0x0},
    { 0, 0x14, 0, 0x0},
    { 0, 0x14, 0, 0x0},
    { 0, 0x14, 0, 0x0},
    { 0, 0x14, 0, 0x0},
    { 0, 0x14, 0, 0x0},
    { 0, 0x14, 0, 0x0},
    { 0, 0x14, 0, 0x0},
    { 0, 0x14, 1083, 0x0},
    { 0, 0x14, 2597, 0x0},
    { 0, 0x1b, 152, 0x0},
    { 0, 0x1b, 139, 0x0},
    { 0, 0x1b, 560, 0x0},
    // 540: Local time: 08:05:00 AM
    { 0, 0x1b, 0, 0x0},
    { 0, 0x1b, 0, 0x0},
    { 0, 0x1b, 264, 0x0},
    { 0, 0x1b, 0, 0x0},
    { 0, 0x25, 1537, 0x0},
    { 0, 0x35, 0, 0x0},
    { 0, 0x35, 571, 0x0},
    { 0, 0x45, 626, 0x0},
    { 0, 0x45, 0, 0x0},
    { 0, 0x45, 0, 0x0},
    { 0, 0x45, 0, 0x0},
    { 0, 0x45, 282, 0x0},
    { 0, 0x45, 39, 0x0},
    { 0, 0x47, 4348, 0x1},
    { 0, 0x74, 583, 0x1},
    // 555: Local time: 08:20:00 AM
    { 0, 0x74, 0, 0x1},
    { 0, 0x74, 39, 0x1},
    { 0, 0x86, 1111, 0x1},
    { 0, 0x85, 48, 0x1},
    { 0, 0x84, 0, 0x1},
    { 0, 0x84, 48, 0x1},
    { 0, 0x84, 0, 0x1},
    { 0, 0x84, 0, 0x1},
    { 0, 0x84, 0, 0x1},
    { 0, 0x84, 0, 0x1},
    { 0, 0x84, 0, 0x1},
    { 0, 0x84, 0, 0x1},
    { 0, 0x84, 0, 0x1},
    { 0, 0x84, 0, 0x1},
    { 0, 0x84, 0, 0x1},
    // 570: Local time: 08:35:01 AM
    { 0, 0x84, 0, 0x1},
    { 0, 0x84, 0, 0x1},
    { 0, 0x84, 0, 0x1},
    { 0, 0x84, 0, 0x1},
    { 0, 0x84, 0, 0x1},
    { 0, 0x84, 0, 0x1},
    { 0, 0x84, 0, 0x1},
    { 0, 0x84, 0, 0x1},
    { 0, 0x84, 0, 0x1},
    { 0, 0x84, 0, 0x1},
    { 0, 0x84, 0, 0x1},
    { 0, 0x88, 2356, 0x0},
    { 0, 0x42, 11823, 0x0},
    { 12, 0x43, 9331, 0x0},
    { 0, 0x51, 8647, 0x0},
    // 585: Local time: 08:50:00 AM
    { 59, 0x51, 5637, 0x0},
    { 146, 0x42, 3732, 0x0},
    { 63, 0x51, 3969, 0x0},
    { 0, 0x72, 1704, 0x0},
    { 0, 0x60, 6039, 0x0},
    { 0, 0x60, 11961, 0x0},
    { 25, 0x7f, 6313, 0x0},
    { 19, 0x7e, 6905, 0x0},
    { 53, 0x64, 4866, 0x0},
    { 0, 0x42, 4931, 0x0},
    { 39, 0x35, 2168, 0x0},
    { 0, 0x61, 9775, 0x0},
    { 0, 0x7f, 6938, 0x0},
    { 0, 0x43, 9914, 0x0},
    { 29, 0x52, 7516, 0x0},
    // 600: Local time: 09:05:00 AM
    { 15, 0x52, 6923, 0x0},
    { 0, 0x31, 5219, 0x0},
    { 7, 0x42, 4502, 0x0},
    { 6, 0x40, 1466, 0x0},
    { 0, 0x31, 2962, 0x0},
    { 34, 0x42, 4512, 0x0},
    { 0, 0x53, 2906, 0x0},
    { 0, 0x64, 2631, 0x0},
    { 14, 0x53, 4516, 0x0},
    { 0, 0x55, 2859, 0x0},
    { 0, 0x65, 3677, 0x0},
    { 0, 0x55, 2399, 0x0},
    { 9, 0x43, 3344, 0x0},
    { 0, 0x64, 701, 0x0},
    { 0, 0x74, 285, 0x0},
    // 615: Local time: 09:20:00 AM
    { 0, 0x64, 1462, 0x0},
    { 0, 0x74, 254, 0x0},
    { 0, 0x74, 37, 0x0},
    { 0, 0x64, 1591, 0x0},
    { 0, 0x65, 3719, 0x0},
    { 0, 0x64, 190, 0x0},
    { 0, 0x55, 926, 0x0},
    { 0, 0x57, 1386, 0x0},
    { 0, 0x66, 1012, 0x0},
    { 0, 0x74, 1475, 0x0},
    { 0, 0x64, 2584, 0x0},
    { 24, 0x56, 4493, 0x0},
    { 0, 0x57, 2245, 0x0},
    { 9, 0x56, 4078, 0x0},
    { 0, 0x57, 2838, 0x0},
    // 630: Local time: 09:35:00 AM
    { 0, 0x57, 1884, 0x0},
    { 0, 0x56, 2416, 0x0},
    { 0, 0x47, 2051, 0x0},
    { 0, 0x66, 1644, 0x0},
    { 0, 0x57, 2251, 0x0},
    { 0, 0x54, 3127, 0x0},
    { 0, 0x56, 1817, 0x0},
    { 0, 0x78, 677, 0x0},
    { 0, 0x64, 816, 0x0},
    { 0, 0x76, 2283, 0x0},
    { 0, 0x57, 3482, 0x0},
    { 0, 0x57, 2302, 0x0},
    { 6, 0x74, 2698, 0x0},
    { 0, 0x75, 1243, 0x0},
    { 0, 0x57, 2606, 0x0},
    // 645: Local time: 09:50:00 AM
    { 0, 0x57, 3566, 0x0},
    { 0, 0x57, 5533, 0x0},
    { 0, 0x55, 2613, 0x0},
    { 0, 0x65, 412, 0x0},
    { 0, 0x65, 963, 0x0},
    { 8, 0x53, 7656, 0x0},
    { 29, 0x51, 8150, 0x0},
    { 0, 0x50, 13056, 0x0},
    { 14, 0x41, 4053, 0x0},
    { 50, 0x51, 8536, 0x0},
    { 46, 0x62, 6588, 0x0},
    { 0, 0x74, 254, 0x0},
    { 6, 0x57, 362, 0x0},
    { 0, 0x48, 1505, 0x0},
    { 0, 0x55, 4622, 0x0},
    // 660: Local time: 10:05:00 AM
    { 8, 0x57, 1534, 0x0},
    { 8, 0x64, 3035, 0x0},
    { 0, 0x56, 1046, 0x0},
    { 0, 0x15, 124, 0x0},
    { 0, 0x34, 1515, 0x0},
    { 0, 0x44, 618, 0x0},
    { 0, 0x44, 287, 0x0},
    { 8, 0x35, 1249, 0x0},
    { 0, 0x34, 794, 0x0},
    { 0, 0x37, 525, 0x0},
    { 0, 0x35, 1752, 0x0},
    { 0, 0x46, 1318, 0x0},
    { 0, 0x54, 3408, 0x0},
    { 15, 0x43, 3375, 0x0},
    { 0, 0x43, 1718, 0x0},
    // 675: Local time: 10:20:00 AM
    { 0, 0x35, 3253, 0x0},
    { 0, 0x54, 3571, 0x0},
    { 19, 0x44, 4101, 0x0},
    { 0, 0x53, 3159, 0x0},
    { 0, 0x56, 4314, 0x0},
    { 0, 0x55, 3253, 0x0},
    { 6, 0x66, 4657, 0x0},
    { 0, 0x44, 4046, 0x0},
    { 0, 0x53, 4898, 0x0},
    { 0, 0x44, 5387, 0x0},
    { 0, 0x34, 4620, 0x0},
    { 0, 0x62, 3951, 0x0},
    { 0, 0x43, 5302, 0x0},
    { 0, 0x54, 4035, 0x0},
    { 6, 0x46, 2891, 0x0},
    // 690: Local time: 10:35:00 AM
    { 0, 0x45, 6130, 0x0},
    { 0, 0x45, 2033, 0x0},
    { 0, 0x54, 1262, 0x0},
    { 0, 0x44, 1980, 0x0},
    { 0, 0x44, 162, 0x0},
    { 0, 0x54, 1086, 0x0},
    { 0, 0x44, 1400, 0x0},
    { 0, 0x64, 760, 0x0},
    { 8, 0x66, 1958, 0x0},
    { 8, 0x54, 1265, 0x0},
    { 16, 0x65, 1625, 0x0},
    { 0, 0x45, 1015, 0x0},
    { 0, 0x64, 3442, 0x0},
    { 16, 0x56, 3578, 0x0},
    { 15, 0x66, 4701, 0x0},
    // 705: Local time: 10:50:00 AM
    { 7, 0x66, 4478, 0x0},
    { 0, 0x35, 3075, 0x0},
    { 0, 0x35, 4318, 0x0},
    { 0, 0x45, 4041, 0x0},
    { 0, 0x35, 5080, 0x0},
    { 0, 0x55, 3213, 0x0},
    { 0, 0x64, 1863, 0x0},
    { 0, 0x2a, 3332, 0x0},
    { 21, 0x55, 5375, 0x0},
    { 0, 0x45, 5991, 0x0},
    { 0, 0x25, 2097, 0x0},
    { 0, 0x25, 1897, 0x0},
    { 0, 0x25, 1713, 0x0},
    { 0, 0x36, 4947, 0x0},
    { 0, 0x25, 2295, 0x0},
    // 720: Local time: 11:05:00 AM
    { 8, 0x35, 3147, 0x0},
    { 11, 0x67, 2486, 0x0},
    { 22, 0x66, 4699, 0x0},
    { 0, 0x74, 1135, 0x0},
    { 15, 0x66, 1971, 0x0},
    { 0, 0x47, 594, 0x0},
    { 0, 0x48, 383, 0x0},
    { 0, 0x56, 1030, 0x0},
    { 0, 0x65, 910, 0x0},
    { 0, 0x7c, 2461, 0x0},
    { 0, 0x9, 2381, 0x0},
    { 0, 0x75, 4555, 0x0},
    { 8, 0x73, 1676, 0x0},
    { 6, 0x63, 1551, 0x0},
    { 0, 0x73, 1198, 0x0},
    // 735: Local time: 11:20:00 AM
    { 8, 0x45, 2468, 0x0},
    { 0, 0x34, 571, 0x0},
    { 0, 0x64, 889, 0x0},
    { 7, 0x75, 2629, 0x0},
    { 0, 0x75, 818, 0x0},
    { 12, 0x67, 1044, 0x0},
    { 12, 0x76, 1374, 0x0},
    { 0, 0x74, 152, 0x0},
    { 0, 0x74, 522, 0x0},
    { 0, 0x74, 418, 0x0},
    { 0, 0x74, 91, 0x0},
    { 0, 0x66, 202, 0x0},
    { 6, 0x74, 546, 0x0},
    { 0, 0x74, 2555, 0x0},
    { 15, 0x77, 1702, 0x0},
    // 750: Local time: 11:35:00 AM
    { 0, 0x84, 584, 0x0},
    { 0, 0x76, 1155, 0x0},
    { 0, 0x73, 1126, 0x0},
    { 6, 0x8e, 1321, 0x0},
    { 6, 0x75, 1275, 0x0},
    { 0, 0x83, 575, 0x0},
    { 0, 0x82, 583, 0x0},
    { 0, 0x72, 1129, 0x0},
    { 28, 0x51, 6744, 0x0},
    { 8, 0x62, 8301, 0x0},
    { 0, 0x63, 3031, 0x0},
    { 0, 0x57, 1268, 0x0},
    { 0, 0x44, 2714, 0x0},
    { 0, 0x53, 2322, 0x0},
    { 0, 0x44, 1669, 0x0},
    // 765: Local time: 11:50:00 AM
    { 0, 0x62, 2295, 0x0},
    { 6, 0x75, 1443, 0x0},
    { 0, 0x74, 482, 0x0},
    { 0, 0x0, 0, 0x2},
    { 0, 0x75, 2033, 0x0},
    { 7, 0x57, 454, 0x0},
    { 0, 0x67, 2032, 0x0},
    { 0, 0x74, 2853, 0x0},
    { 0, 0x84, 1539, 0x0},
    { 0, 0x74, 1104, 0x0},
    { 0, 0x74, 1428, 0x0},
    { 6, 0x74, 1506, 0x0},
    { 0, 0x73, 919, 0x0},
    { 0, 0x74, 945, 0x0},
    { 0, 0x86, 899, 0x0},
    // 780: Local time: 12:04:00 PM
    { 17, 0x75, 3056, 0x0},
    { 32, 0x62, 3316, 0x0},
    { 0, 0x63, 4447, 0x0},
    { 54, 0x61, 7210, 0x0},
    { 18, 0x54, 4272, 0x0},
    { 0, 0x56, 2255, 0x0},
    { 0, 0x55, 2807, 0x0},
    { 0, 0x68, 2333, 0x0},
    { 0, 0x66, 1878, 0x0},
    { 0, 0x54, 1383, 0x0},
    { 0, 0x26, 2427, 0x0},
    { 0, 0x35, 2268, 0x0},
    { 0, 0x25, 962, 0x0},
    { 0, 0x45, 824, 0x0},
    { 0, 0x35, 2060, 0x0},
    // 795: Local time: 12:19:00 PM
    { 8, 0x56, 2014, 0x0},
    { 0, 0x55, 1770, 0x0},
    { 0, 0x45, 1912, 0x0},
    { 0, 0x45, 2659, 0x0},
    { 0, 0x45, 3214, 0x0},
    { 0, 0x45, 2072, 0x0},
    { 0, 0x54, 2511, 0x0},
    { 0, 0x34, 3497, 0x0},
    { 0, 0x45, 3368, 0x0},
    { 0, 0x45, 3597, 0x0},
    { 0, 0x55, 3480, 0x0},
    { 0, 0x74, 1725, 0x0},
    { 41, 0x45, 2535, 0x0},
    { 0, 0x45, 3282, 0x0},
    { 0, 0x45, 3318, 0x0},
    // 810: Local time: 12:34:00 PM
    { 0, 0x44, 5566, 0x0},
    { 0, 0x45, 4083, 0x0},
    { 0, 0x44, 3969, 0x0},
    { 0, 0x44, 2647, 0x0},
    { 0, 0x35, 3399, 0x0},
    { 0, 0x44, 2851, 0x0},
    { 0, 0x55, 2535, 0x0},
    { 0, 0x55, 3398, 0x0},
    { 0, 0x54, 1040, 0x0},
    { 0, 0x44, 1743, 0x0},
    { 18, 0x55, 1636, 0x0},
    { 0, 0x45, 2561, 0x0},
    { 14, 0x65, 2344, 0x0},
    { 12, 0x65, 2877, 0x0},
    { 0, 0x55, 3198, 0x0},
    // 825: Local time: 12:49:00 PM
    { 0, 0x45, 4555, 0x0},
    { 0, 0x35, 5434, 0x0},
    { 0, 0x65, 4632, 0x0},
    { 0, 0x45, 2974, 0x0},
    { 25, 0x52, 5406, 0x0},
    { 56, 0x51, 5298, 0x0},
    { 0, 0x64, 4123, 0x0},
    { 12, 0x62, 2163, 0x0},
    { 6, 0x61, 6879, 0x0},
    { 0, 0x8b, 1679, 0x0},
    { 6, 0x75, 1511, 0x0},
    { 0, 0x74, 2231, 0x0},
    { 0, 0x74, 772, 0x0},
    { 0, 0x73, 85, 0x0},
    { 0, 0x83, 460, 0x0},
    // 840: Local time: 01:04:01 PM
    { 8, 0x75, 1181, 0x0},
    { 7, 0x75, 1422, 0x0},
    { 0, 0x74, 618, 0x0},
    { 0, 0x74, 713, 0x0},
    { 0, 0x64, 149, 0x0},
    { 0, 0x64, 51, 0x0},
    { 0, 0x74, 646, 0x0},
    { 0, 0x74, 1966, 0x0},
    { 0, 0x73, 868, 0x0},
    { 0, 0x73, 913, 0x0},
    { 0, 0x73, 401, 0x0},
    { 0, 0x73, 1203, 0x0},
    { 0, 0x74, 546, 0x0},
    { 17, 0x63, 2561, 0x0},
    { 8, 0x72, 2381, 0x0},
    // 855: Local time: 01:19:00 PM
    { 7, 0x22, 2816, 0x0},
    { 47, 0x15, 1993, 0x0},
    { 4, 0x85, 1175, 0x0},
    { 0, 0x75, 1440, 0x0},
    { 0, 0x64, 2989, 0x0},
    { 0, 0x73, 3016, 0x0},
    { 0, 0x73, 1765, 0x0},
    { 0, 0x50, 814, 0x0},
    { 0, 0x62, 1407, 0x0},
    { 0, 0x44, 1155, 0x0},
    { 0, 0x44, 2609, 0x0},
    { 36, 0x64, 6867, 0x0},
    { 0, 0x74, 1937, 0x0},
    { 0, 0x74, 445, 0x0},
    { 0, 0x73, 196, 0x0},
    // 870: Local time: 01:35:00 PM
    { 12, 0x65, 4590, 0x0},
    { 0, 0x74, 568, 0x0},
    { 0, 0x73, 97, 0x0},
    { 0, 0x74, 171, 0x0},
    { 0, 0x74, 513, 0x0},
    { 24, 0x55, 3180, 0x0},
    { 12, 0x64, 2095, 0x0},
    { 42, 0x53, 6507, 0x0},
    { 36, 0x43, 3324, 0x0},
    { 20, 0x34, 979, 0x0},
    { 0, 0x41, 4185, 0x0},
    { 0, 0x34, 1876, 0x0},
    { 25, 0x34, 2601, 0x0},
    { 41, 0x64, 4857, 0x0},
    { 0, 0x73, 1613, 0x0},
    // 885: Local time: 01:50:00 PM
    { 0, 0x73, 1284, 0x0},
    { 0, 0x73, 571, 0x0},
    { 0, 0x74, 2752, 0x0},
    { 0, 0x83, 941, 0x0},
    { 0, 0x47, 1950, 0x0},
    { 0, 0x76, 1348, 0x0},
    { 18, 0x61, 4306, 0x0},
    { 0, 0x44, 6779, 0x0},
    { 22, 0x65, 2800, 0x0},
    { 20, 0x57, 1225, 0x0},
    { 9, 0x66, 1678, 0x0},
    { 0, 0x64, 13, 0x0},
    { 8, 0x65, 1249, 0x0},
    { 0, 0x64, 2098, 0x0},
    { 0, 0x45, 2274, 0x0},
    // 900: Local time: 02:05:00 PM
    { 0, 0x74, 1324, 0x0},
    { 0, 0x74, 919, 0x0},
    { 0, 0x66, 1601, 0x0},
    { 0, 0x38, 775, 0x0},
    { 0, 0x58, 1832, 0x0},
    { 8, 0x47, 1167, 0x0},
    { 8, 0x67, 2280, 0x0},
    { 0, 0x86, 11, 0x0},
    { 0, 0x84, 298, 0x0},
    { 0, 0x73, 1632, 0x0},
    { 0, 0x74, 559, 0x0},
    { 8, 0x58, 578, 0x0},
    { 22, 0x57, 840, 0x0},
    { 0, 0x76, 1975, 0x0},
    { 0, 0x74, 917, 0x0},
    // 915: Local time: 02:20:00 PM
    { 8, 0x74, 1149, 0x0},
    { 0, 0x74, 2344, 0x0},
    { 0, 0x75, 1265, 0x0},
    { 6, 0x67, 2407, 0x0},
    { 0, 0x74, 507, 0x0},
    { 0, 0x74, 227, 0x0},
    { 7, 0x57, 1340, 0x0},
    { 0, 0x48, 185, 0x0},
    { 0, 0x74, 1607, 0x0},
    { 0, 0x64, 82, 0x0},
    { 0, 0x75, 609, 0x0},
    { 0, 0x48, 771, 0x0},
    { 0, 0x68, 1740, 0x0},
    { 0, 0x74, 698, 0x0},
    { 0, 0x67, 1984, 0x0},
    // 930: Local time: 02:35:00 PM
    { 8, 0x76, 1582, 0x0},
    { 0, 0x74, 525, 0x0},
    { 0, 0x74, 840, 0x0},
    { 0, 0x74, 364, 0x0},
    { 0, 0x73, 1050, 0x0},
    { 0, 0x73, 708, 0x0},
    { 0, 0x73, 1164, 0x0},
    { 0, 0x73, 587, 0x0},
    { 0, 0x76, 671, 0x0},
    { 0, 0x67, 1058, 0x0},
    { 0, 0x73, 768, 0x0},
    { 0, 0x73, 1238, 0x0},
    { 15, 0x75, 1252, 0x0},
    { 14, 0x76, 3765, 0x0},
    { 16, 0x64, 3537, 0x0},
    // 945: Local time: 02:50:00 PM
    { 6, 0x55, 1922, 0x0},
    { 0, 0x37, 824, 0x0},
    { 0, 0x46, 1332, 0x0},
    { 0, 0x45, 1225, 0x0},
    { 0, 0x57, 740, 0x0},
    { 0, 0x56, 1602, 0x0},
    { 0, 0x54, 236, 0x0},
    { 0, 0x46, 985, 0x0},
    { 0, 0x47, 1721, 0x0},
    { 0, 0x37, 1414, 0x0},
    { 0, 0x46, 3297, 0x0},
    { 0, 0x46, 1838, 0x0},
    { 0, 0x55, 2847, 0x0},
    { 0, 0x45, 2403, 0x0},
    { 0, 0x67, 1901, 0x0},
    // 960: Local time: 03:05:00 PM
    { 0, 0x76, 1938, 0x0},
    { 0, 0x47, 1784, 0x0},
    { 0, 0x37, 1827, 0x0},
    { 0, 0x64, 1417, 0x0},
    { 0, 0x64, 1670, 0x0},
    { 0, 0x78, 987, 0x0},
    { 0, 0x75, 870, 0x0},
    { 0, 0x56, 3276, 0x0},
    { 12, 0x55, 590, 0x0},
    { 0, 0x65, 2294, 0x0},
    { 0, 0x47, 1311, 0x0},
    { 0, 0x57, 676, 0x0},
    { 0, 0x67, 1013, 0x0},
    { 0, 0x58, 190, 0x0},
    { 0, 0x58, 586, 0x0},
    // 975: Local time: 03:20:00 PM
    { 0, 0x68, 927, 0x0},
    { 0, 0x65, 1522, 0x0},
    { 0, 0x64, 250, 0x0},
    { 0, 0x35, 1534, 0x0},
    { 0, 0x24, 476, 0x0},
    { 0, 0x55, 1431, 0x0},
    { 0, 0x48, 1241, 0x0},
    { 0, 0x48, 711, 0x0},
    { 0, 0x37, 886, 0x0},
    { 32, 0x66, 4741, 0x0},
    { 33, 0x40, 9131, 0x0},
    { 48, 0x33, 3754, 0x0},
    { 102, 0x41, 8363, 0x0},
    { 89, 0x41, 8813, 0x0},
    { 86, 0x40, 6386, 0x0},
    // 990: Local time: 03:35:00 PM
    { 97, 0x40, 7027, 0x0},
    { 90, 0x40, 7602, 0x0},
    { 88, 0x41, 9214, 0x0},
    { 100, 0x40, 9685, 0x0},
    { 89, 0x40, 10065, 0x0},
    { 87, 0x40, 8055, 0x0},
    { 91, 0x41, 8054, 0x0},
    { 90, 0x40, 8660, 0x0},
    { 97, 0x41, 7024, 0x0},
    { 52, 0x42, 5205, 0x0},
    { 0, 0x24, 63, 0x0},
    { 0, 0x25, 483, 0x0},
    { 0, 0x25, 260, 0x0},
    { 0, 0x45, 923, 0x0},
    { 0, 0x45, 590, 0x0},
    // 1005: Local time: 03:50:00 PM
    { 0, 0x45, 1000, 0x0},
    { 0, 0x35, 254, 0x0},
    { 6, 0x35, 325, 0x0},
    { 0, 0x35, 111, 0x0},
    { 0, 0x34, 196, 0x0},
    { 0, 0x35, 182, 0x0},
    { 0, 0x45, 728, 0x0},
    { 0, 0x24, 251, 0x0},
    { 15, 0x34, 1938, 0x0},
    { 98, 0x41, 9729, 0x0},
    { 108, 0x40, 9303, 0x0},
    { 81, 0x41, 9263, 0x0},
    { 89, 0x51, 8517, 0x0},
    { 81, 0x41, 11545, 0x0},
    { 106, 0x59, 8933, 0x0},
    // 1020: Local time: 04:05:00 PM
    { 89, 0x1f, 10024, 0x0},
    { 80, 0x60, 7944, 0x0},
    { 54, 0x61, 6578, 0x0},
    { 94, 0x51, 9534, 0x0},
    { 99, 0x40, 10912, 0x0},
    { 101, 0x40, 9689, 0x0},
    { 61, 0x41, 5982, 0x0},
    { 15, 0x44, 3825, 0x0},
    { 15, 0x54, 2251, 0x0},
    { 7, 0x44, 2912, 0x0},
    { 0, 0x35, 128, 0x0},
    { 0, 0x35, 164, 0x0},
    { 0, 0x54, 1918, 0x0},
    { 0, 0x63, 2292, 0x0},
    { 0, 0x54, 1482, 0x0},
    // 1035: Local time: 04:20:00 PM
    { 0, 0x55, 1607, 0x0},
    { 0, 0x65, 1444, 0x0},
    { 0, 0x64, 1804, 0x0},
    { 22, 0x52, 2607, 0x0},
    { 94, 0x51, 9492, 0x0},
    { 74, 0x41, 7876, 0x0},
    { 0, 0x35, 229, 0x0},
    { 0, 0x25, 170, 0x0},
    { 16, 0x34, 2979, 0x0},
    { 21, 0x8b, 1885, 0x0},
    { 91, 0x70, 7611, 0x0},
    { 95, 0x51, 9850, 0x0},
    { 104, 0x40, 8915, 0x0},
    { 106, 0x40, 9137, 0x0},
    { 96, 0x41, 9328, 0x0},
    // 1050: Local time: 04:35:00 PM
    { 91, 0x51, 6631, 0x0},
    { 88, 0x52, 7462, 0x0},
    { 98, 0x40, 7620, 0x0},
    { 98, 0x50, 7152, 0x0},
    { 97, 0x50, 7688, 0x0},
    { 77, 0x50, 7238, 0x0},
    { 90, 0x50, 6865, 0x0},
    { 98, 0x40, 8391, 0x0},
    { 98, 0x40, 7849, 0x0},
    { 41, 0x42, 4795, 0x0},
    { 0, 0x42, 1342, 0x0},
    { 7, 0x51, 1815, 0x0},
    { 9, 0x51, 1669, 0x0},
    { 0, 0x35, 1747, 0x0},
    { 0, 0x26, 427, 0x0},
    // 1065: Local time: 04:50:00 PM
    { 0, 0x25, 1033, 0x0},
    { 0, 0x35, 153, 0x0},
    { 0, 0x36, 599, 0x0},
    { 26, 0x33, 3335, 0x0},
    { 0, 0x41, 8927, 0x0},
    { 9, 0x44, 1860, 0x0},
    { 46, 0x52, 3987, 0x0},
    { 31, 0x50, 4022, 0x0},
    { 46, 0x54, 5961, 0x0},
    { 0, 0x74, 2849, 0x0},
    { 0, 0x74, 811, 0x0},
    { 0, 0x54, 2735, 0x0},
    { 0, 0x66, 1715, 0x0},
    { 0, 0x75, 2180, 0x0},
    { 0, 0x75, 1847, 0x0},
    // 1080: Local time: 05:05:00 PM
    { 0, 0x46, 2362, 0x0},
    { 0, 0x54, 3031, 0x0},
    { 0, 0x65, 1731, 0x0},
    { 0, 0x74, 1022, 0x0},
    { 0, 0x46, 1854, 0x0},
    { 0, 0x45, 1962, 0x0},
    { 0, 0x45, 1727, 0x0},
    { 0, 0x45, 2912, 0x0},
    { 0, 0x54, 1499, 0x0},
    { 0, 0x43, 8290, 0x0},
    { 80, 0x41, 8579, 0x0},
    { 89, 0x41, 9075, 0x0},
    { 90, 0x51, 8813, 0x0},
    { 65, 0x51, 10700, 0x0},
    { 64, 0x32, 11813, 0x0},
    // 1095: Local time: 05:20:00 PM
    { 52, 0x42, 11085, 0x0},
    { 80, 0x41, 9992, 0x0},
    { 66, 0x41, 9614, 0x0},
    { 90, 0x40, 9759, 0x0},
    { 98, 0x40, 8518, 0x0},
    { 73, 0x30, 10374, 0x0},
    { 56, 0x52, 9762, 0x0},
    { 86, 0x40, 7941, 0x0},
    { 96, 0x40, 6704, 0x0},
    { 64, 0x43, 11613, 0x0},
    { 52, 0x52, 10028, 0x0},
    { 89, 0x40, 6667, 0x0},
    { 62, 0x41, 10133, 0x0},
    { 62, 0x5f, 6929, 0x0},
    { 80, 0x51, 9395, 0x0},
    // 1110: Local time: 05:35:01 PM
    { 64, 0x41, 8690, 0x0},
    { 72, 0x41, 8020, 0x0},
    { 48, 0x42, 11182, 0x0},
    { 80, 0x41, 7710, 0x0},
    { 88, 0x63, 8751, 0x0},
    { 64, 0x42, 8988, 0x0},
    { 88, 0x64, 8193, 0x0},
    { 54, 0x54, 9645, 0x0},
    { 87, 0x40, 7286, 0x0},
    { 40, 0x53, 8261, 0x0},
    { 13, 0x65, 5026, 0x0},
    { 0, 0x55, 6880, 0x0},
    { 9, 0x13, 5806, 0x0},
    { 7, 0x53, 11431, 0x0},
    { 17, 0x75, 8068, 0x0},
    // 1125: Local time: 05:50:00 PM
    { 0, 0x55, 10280, 0x0},
    { 0, 0x43, 4701, 0x0},
    { 0, 0x3f, 1299, 0x0},
    { 0, 0x50, 3501, 0x0},
    { 0, 0x78, 5270, 0x0},
    { 0, 0x32, 5459, 0x0},
    { 0, 0x41, 2637, 0x0},
    { 18, 0x54, 4296, 0x0},
    { 0, 0x34, 6544, 0x0},
    { 32, 0x30, 1443, 0x0},
    { 0, 0x30, 3023, 0x0},
    { 0, 0x77, 1792, 0x0},
    { 32, 0x58, 2243, 0x0},
    { 0, 0x45, 8126, 0x0},
    { 0, 0x31, 4570, 0x0},
    // 1140: Local time: 06:05:00 PM
    { 8, 0x31, 3676, 0x0},
    { 0, 0x21, 4049, 0x0},
    { 0, 0x54, 6321, 0x0},
    { 0, 0x55, 9393, 0x0},
    { 0, 0x51, 3256, 0x0},
    { 0, 0x74, 2163, 0x0},
    { 0, 0x20, 2415, 0x0},
    { 14, 0x78, 840, 0x0},
    { 0, 0x7a, 1135, 0x0},
    { 0, 0x78, 1152, 0x0},
    { 16, 0x67, 2163, 0x0},
    { 10, 0x71, 5817, 0x0},
    { 0, 0x65, 3060, 0x0},
    { 0, 0x56, 3448, 0x0},
    { 14, 0x56, 3219, 0x0},
    // 1155: Local time: 06:20:01 PM
    { 0, 0x56, 2354, 0x0},
    { 0, 0x4b, 3445, 0x0},
    { 8, 0x6a, 1164, 0x0},
    { 0, 0x74, 3689, 0x0},
    { 0, 0x56, 4808, 0x0},
    { 0, 0x57, 4425, 0x0},
    { 0, 0x35, 2785, 0x0},
    { 0, 0x25, 2902, 0x0},
    { 0, 0x45, 2798, 0x0},
    { 0, 0x45, 1987, 0x0},
    { 0, 0x45, 2775, 0x0},
    { 0, 0x45, 1833, 0x0},
    { 0, 0x56, 2387, 0x0},
    { 0, 0x36, 919, 0x0},
    { 8, 0x46, 2856, 0x0},
    // 1170: Local time: 06:35:00 PM
    { 0, 0x56, 1981, 0x0},
    { 10, 0x88, 3288, 0x0},
    { 0, 0x66, 2724, 0x0},
    { 0, 0x5a, 2521, 0x0},
    { 0, 0x35, 731, 0x0},
    { 6, 0x56, 2144, 0x0},
    { 0, 0x65, 284, 0x0},
    { 0, 0x55, 260, 0x0},
    { 0, 0x54, 158, 0x0},
    { 0, 0x64, 1644, 0x0},
    { 16, 0x73, 3004, 0x0},
    { 0, 0x66, 745, 0x0},
    { 0, 0x58, 658, 0x0},
    { 0, 0x48, 988, 0x0},
    { 0, 0x48, 580, 0x0},
    // 1185: Local time: 06:50:00 PM
    { 0, 0x65, 429, 0x0},
    { 9, 0x64, 627, 0x0},
    { 0, 0x64, 740, 0x0},
    { 0, 0x63, 1380, 0x0},
    { 32, 0x42, 6257, 0x0},
    { 16, 0x74, 5243, 0x0},
    { 29, 0x51, 10550, 0x0},
    { 0, 0x6f, 6102, 0x0},
    { 0, 0x60, 7077, 0x0},
    { 0, 0x60, 6944, 0x0},
    { 0, 0x51, 4072, 0x0},
    { 18, 0x52, 1826, 0x0},
    { 7, 0x43, 1582, 0x0},
    { 0, 0x52, 779, 0x0},
    { 0, 0x61, 1984, 0x0},
    // 1200: Local time: 07:05:00 PM
    { 0, 0x60, 2116, 0x0},
    { 0, 0x6f, 1776, 0x0},
    { 0, 0x60, 1832, 0x0},
    { 0, 0x6f, 929, 0x0},
    { 0, 0x6f, 532, 0x0},
    { 0, 0x6f, 603, 0x0},
    { 0, 0x60, 3297, 0x0},
    { 0, 0x60, 8240, 0x0},
    { 0, 0x6f, 9762, 0x0},
    { 12, 0x52, 7700, 0x0},
    { 0, 0x62, 6091, 0x0},
    { 14, 0x50, 7132, 0x0},
    { 0, 0x6f, 9587, 0x0},
    { 17, 0x40, 4983, 0x0},
    { 45, 0x40, 3103, 0x0},
    // 1215: Local time: 07:20:00 PM
    { 50, 0x40, 2603, 0x0},
    { 0, 0x40, 2264, 0x0},
    { 0, 0x6f, 8758, 0x0},
    { 0, 0x60, 5872, 0x0},
    { 0, 0x51, 8669, 0x0},
    { 9, 0x42, 9978, 0x0},
    { 8, 0x62, 6649, 0x0},
    { 0, 0x62, 3963, 0x0},
    { 0, 0x71, 1041, 0x0},
    { 0, 0x71, 1709, 0x0},
    { 0, 0x71, 1186, 0x0},
    { 0, 0x34, 944, 0x0},
    { 0, 0x34, 501, 0x0},
    { 0, 0x34, 580, 0x0},
    { 0, 0x73, 1124, 0x0},
    // 1230: Local time: 07:35:00 PM
    { 0, 0x71, 2495, 0x0},
    { 6, 0x55, 4921, 0x0},
    { 0, 0x78, 3122, 0x0},
    { 0, 0x6b, 2310, 0x0},
    { 0, 0x6c, 2014, 0x0},
    { 16, 0x75, 4361, 0x0},
    { 22, 0x62, 3642, 0x0},
    { 0, 0x64, 2157, 0x0},
    { 0, 0x72, 2206, 0x0},
    { 0, 0x44, 7651, 0x0},
    { 14, 0x55, 2530, 0x0},
    { 0, 0x47, 2677, 0x0},
    { 0, 0x56, 3597, 0x0},
    { 0, 0x55, 1571, 0x0},
    { 0, 0x54, 266, 0x0},
    // 1245: Local time: 07:50:00 PM
    { 0, 0x65, 935, 0x0},
    { 0, 0x64, 145, 0x0},
    { 0, 0x54, 359, 0x0},
    { 0, 0x54, 3223, 0x0},
    { 0, 0x63, 2563, 0x0},
    { 0, 0x64, 341, 0x0},
    { 0, 0x55, 3011, 0x0},
    { 0, 0x55, 2369, 0x0},
    { 0, 0x65, 2043, 0x0},
    { 0, 0x79, 1441, 0x0},
    { 0, 0x78, 3076, 0x0},
    { 0, 0x55, 2587, 0x0},
    { 0, 0x55, 1454, 0x0},
    { 0, 0x78, 2456, 0x0},
    { 0, 0x65, 2311, 0x0},
    // 1260: Local time: 08:05:00 PM
    { 0, 0x64, 1016, 0x0},
    { 0, 0x65, 1408, 0x0},
    { 0, 0x44, 1382, 0x0},
    { 0, 0x64, 392, 0x0},
    { 0, 0x74, 378, 0x0},
    { 0, 0x74, 389, 0x0},
    { 0, 0x66, 2548, 0x0},
    { 0, 0x54, 809, 0x0},
    { 0, 0x54, 1043, 0x0},
    { 0, 0x65, 1952, 0x0},
    { 0, 0x46, 1397, 0x0},
    { 0, 0x65, 1256, 0x0},
    { 0, 0x73, 156, 0x0},
    { 0, 0x74, 355, 0x0},
    { 0, 0x64, 136, 0x0},
    // 1275: Local time: 08:20:01 PM
    { 0, 0x74, 859, 0x0},
    { 0, 0x86, 2177, 0x0},
    { 9, 0x7d, 966, 0x0},
    { 0, 0x8d, 513, 0x0},
    { 0, 0x83, 1320, 0x0},
    { 0, 0x65, 2036, 0x0},
    { 0, 0x55, 2387, 0x0},
    { 0, 0x45, 352, 0x0},
    { 0, 0x45, 1441, 0x0},
    { 0, 0x66, 1138, 0x0},
    { 0, 0x56, 737, 0x0},
    { 0, 0x56, 876, 0x0},
    { 0, 0x55, 1154, 0x0},
    { 0, 0x56, 1864, 0x0},
    { 0, 0x45, 1389, 0x0},
  };
  *len = ARRAY_LENGTH(samples);
  return samples;
}

