/*
 * Copyright 2024 Google LLC
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */




// ----------------------------------------------------------------
// Sample captured at: 2015-11-14 05:36:00 local, 2015-11-14 13:36:00 GMT
AlgDlsMinuteData *activity_sample_2015_11_14_05_36_00(int *len) {
  // The unit tests parse the //> TEST_.* lines below for test values
  //> TEST_NAME pbl_29359
  //> TEST_VERSION 3
  //> TEST_TOTAL -1
  //> TEST_TOTAL_MIN -1
  //> TEST_TOTAL_MAX -1
  //> TEST_DEEP -1
  //> TEST_DEEP_MIN -1
  //> TEST_DEEP_MAX -1
  //> TEST_START_AT -1
  //> TEST_START_AT_MIN -1
  //> TEST_START_AT_MAX -1
  //> TEST_END_AT 641
  //> TEST_END_AT_MIN 630
  //> TEST_END_AT_MAX 1000           // Too difficult to fix this right now - it's been failing
                                     // all along but our unit test didn't catch it before
  //> TEST_CUR_STATE_ELAPSED -1
  //> TEST_CUR_STATE_ELAPSED_MIN -1
  //> TEST_CUR_STATE_ELAPSED_MAX -1
  //> TEST_IN_SLEEP 0
  //> TEST_IN_SLEEP_MIN 0
  //> TEST_IN_SLEEP_MAX 0
  //> TEST_IN_DEEP_SLEEP 0
  //> TEST_IN_DEEP_SLEEP_MIN 0
  //> TEST_IN_DEEP_SLEEP_MAX 0
  //> TEST_WEIGHT 1.0

  // list of: {steps, orientation, vmc, light, plugged_in}
  static AlgDlsMinuteData samples[] = {
    // 0: Local time: 2015-11-14 08:38:00 PM
    { 0, 0x46, 1488, 172, 0},
    { 0, 0x44, 890, 178, 0},
    { 0, 0x47, 2379, 180, 0},
    { 12, 0x38, 2521, 179, 0},
    { 0, 0x46, 2458, 182, 0},
    { 16, 0x35, 3201, 175, 0},
    { 5, 0x47, 2110, 172, 0},
    { 0, 0x34, 6, 172, 0},
    { 0, 0x35, 1856, 171, 0},
    { 0, 0x35, 1740, 168, 0},
    { 0, 0x25, 0, 171, 0},
    { 0, 0x25, 325, 172, 0},
    { 0, 0x25, 2400, 171, 0},
    { 0, 0x43, 2892, 176, 0},
    { 0, 0x52, 1970, 170, 0},
    // 15: Local time: 2015-11-14 08:53:00 PM
    { 0, 0x64, 4461, 181, 0},
    { 0, 0x43, 2890, 173, 0},
    { 0, 0x42, 2230, 174, 0},
    { 0, 0x42, 201, 174, 0},
    { 23, 0x43, 5423, 175, 0},
    { 0, 0x43, 2258, 175, 0},
    { 0, 0x53, 517, 174, 0},
    { 0, 0x43, 2045, 175, 0},
    { 0, 0x42, 94, 175, 0},
    { 0, 0x43, 1117, 169, 0},
    { 0, 0x43, 538, 175, 0},
    { 0, 0x42, 1128, 174, 0},
    { 0, 0x43, 2029, 178, 0},
    { 0, 0x55, 4146, 176, 0},
    { 0, 0x46, 3931, 169, 0},
    // 30: Local time: 2015-11-14 09:08:00 PM
    { 0, 0x34, 2799, 175, 0},
    { 0, 0x33, 689, 174, 0},
    { 0, 0x33, 825, 174, 0},
    { 0, 0x33, 1119, 184, 0},
    { 16, 0x31, 5820, 148, 0},
    { 16, 0x33, 10803, 180, 0},
    { 17, 0x34, 2872, 177, 0},
    { 10, 0x45, 3670, 180, 0},
    { 0, 0x33, 2155, 163, 0},
    { 0, 0x25, 3277, 174, 0},
    { 0, 0x47, 1179, 182, 0},
    { 0, 0x47, 1795, 180, 0},
    { 0, 0x43, 2073, 176, 0},
    { 0, 0x42, 400, 175, 0},
    { 0, 0x32, 586, 176, 0},
    // 45: Local time: 2015-11-14 09:23:00 PM
    { 0, 0x52, 461, 175, 0},
    { 0, 0x53, 2062, 184, 0},
    { 0, 0x35, 3044, 177, 0},
    { 0, 0x23, 1529, 182, 0},
    { 0, 0x45, 2354, 177, 0},
    { 0, 0x33, 384, 172, 0},
    { 0, 0x42, 55, 172, 0},
    { 0, 0x42, 1259, 180, 0},
    { 12, 0x33, 4073, 179, 0},
    { 0, 0x37, 3749, 171, 0},
    { 0, 0x35, 4706, 175, 0},
    { 0, 0x33, 1004, 176, 0},
    { 0, 0x34, 1481, 174, 0},
    { 0, 0x33, 2818, 171, 0},
    { 0, 0x33, 370, 165, 0},
    // 60: Local time: 2015-11-14 09:38:00 PM
    { 0, 0x33, 2143, 175, 0},
    { 0, 0x46, 1562, 183, 0},
    { 0, 0x24, 2398, 175, 0},
    { 0, 0x23, 1424, 176, 0},
    { 0, 0x23, 1333, 178, 0},
    { 0, 0x43, 311, 175, 0},
    { 0, 0x34, 2774, 176, 0},
    { 0, 0x33, 2113, 177, 0},
    { 0, 0x33, 3646, 177, 0},
    { 0, 0x33, 1076, 174, 0},
    { 12, 0x52, 1340, 182, 0},
    { 0, 0x54, 1726, 179, 0},
    { 0, 0x44, 715, 178, 0},
    { 0, 0x35, 4711, 175, 0},
    { 0, 0x34, 580, 171, 0},
    // 75: Local time: 2015-11-14 09:53:00 PM
    { 0, 0x54, 969, 170, 0},
    { 0, 0x44, 892, 174, 0},
    { 0, 0x34, 1310, 171, 0},
    { 0, 0x34, 1096, 180, 0},
    { 0, 0x45, 2620, 176, 0},
    { 0, 0x44, 580, 174, 0},
    { 0, 0x34, 1725, 181, 0},
    { 0, 0x34, 1838, 178, 0},
    { 0, 0x48, 2003, 181, 0},
    { 0, 0x35, 3472, 165, 0},
    { 0, 0x34, 1147, 175, 0},
    { 0, 0x45, 414, 174, 0},
    { 0, 0x45, 0, 174, 0},
    { 0, 0x34, 243, 169, 0},
    { 0, 0x33, 468, 167, 0},
    // 90: Local time: 2015-11-14 10:08:00 PM
    { 0, 0x33, 152, 171, 0},
    { 0, 0x33, 908, 171, 0},
    { 0, 0x43, 246, 170, 0},
    { 0, 0x43, 386, 168, 0},
    { 0, 0x33, 2461, 156, 0},
    { 16, 0x42, 7206, 154, 0},
    { 0, 0x33, 1347, 154, 0},
    { 66, 0x32, 4783, 151, 0},
    { 109, 0x33, 5479, 160, 0},
    { 104, 0x33, 4946, 149, 0},
    { 106, 0x33, 5736, 147, 0},
    { 96, 0x33, 5334, 148, 0},
    { 107, 0x33, 6909, 146, 0},
    { 112, 0x33, 6774, 147, 0},
    { 107, 0x33, 6587, 178, 0},
    // 105: Local time: 2015-11-14 10:23:00 PM
    { 67, 0x32, 12856, 152, 0},
    { 108, 0x41, 7654, 157, 0},
    { 109, 0x40, 8452, 147, 0},
    { 33, 0x42, 6149, 151, 0},
    { 0, 0x57, 1984, 142, 0},
    { 0, 0x56, 1511, 150, 0},
    { 0, 0x47, 351, 147, 0},
    { 0, 0x47, 1354, 157, 0},
    { 0, 0x46, 2494, 156, 0},
    { 0, 0x66, 1235, 148, 0},
    { 0, 0x65, 1567, 151, 0},
    { 0, 0x68, 1534, 149, 0},
    { 0, 0x57, 1425, 147, 0},
    { 0, 0x57, 1765, 148, 0},
    { 0, 0x57, 1299, 145, 0},
    // 120: Local time: 2015-11-14 10:38:00 PM
    { 0, 0x47, 593, 146, 0},
    { 0, 0x67, 4925, 154, 0},
    { 0, 0x66, 4867, 159, 0},
    { 23, 0x42, 4048, 172, 0},
    { 51, 0x52, 14904, 152, 0},
    { 116, 0x41, 6547, 146, 0},
    { 98, 0x41, 5229, 148, 0},
    { 0, 0x45, 6951, 174, 0},
    { 0, 0x44, 4993, 172, 0},
    { 0, 0x35, 6002, 182, 0},
    { 0, 0x54, 7547, 182, 0},
    { 16, 0x45, 6366, 181, 0},
    { 0, 0x44, 8149, 182, 0},
    { 0, 0x64, 2034, 187, 0},
    { 0, 0x54, 2741, 161, 0},
    // 135: Local time: 2015-11-14 10:53:00 PM
    { 0, 0x32, 7080, 170, 0},
    { 0, 0x53, 8027, 196, 0},
    { 0, 0x56, 4468, 211, 0},
    { 0, 0x8b, 0, 212, 0},
    { 0, 0x8b, 0, 214, 0},
    { 0, 0x8b, 0, 213, 0},
    { 0, 0x8b, 0, 212, 0},
    { 0, 0x8b, 0, 212, 0},
    { 0, 0x8b, 0, 214, 0},
    { 0, 0x8b, 0, 213, 0},
    { 0, 0x8b, 0, 212, 0},
    { 0, 0x8b, 0, 213, 0},
    { 0, 0x8a, 2045, 197, 0},
    { 0, 0x8b, 0, 201, 0},
    { 0, 0x8b, 0, 197, 0},
    // 150: Local time: 2015-11-14 11:08:00 PM
    { 0, 0x7b, 2118, 186, 0},
    { 0, 0x54, 12028, 168, 0},
    { 0, 0x35, 5971, 169, 0},
    { 0, 0x43, 8315, 143, 0},
    { 0, 0x69, 2006, 143, 0},
    { 0, 0x6a, 0, 142, 0},
    { 0, 0x6a, 0, 143, 0},
    { 0, 0x6a, 0, 143, 0},
    { 0, 0x6a, 0, 144, 0},
    { 0, 0x6a, 0, 140, 0},
    { 0, 0x6a, 0, 145, 0},
    { 0, 0x6a, 0, 144, 0},
    { 0, 0x6a, 0, 145, 0},
    { 0, 0x6a, 0, 144, 0},
    { 0, 0x6a, 0, 142, 0},
    // 165: Local time: 2015-11-14 11:23:00 PM
    { 0, 0x6a, 0, 146, 0},
    { 0, 0x6a, 0, 146, 0},
    { 0, 0x6a, 0, 146, 0},
    { 0, 0x6a, 0, 147, 0},
    { 0, 0x6a, 0, 136, 0},
    { 0, 0x6a, 0, 147, 0},
    { 0, 0x6a, 0, 147, 0},
    { 0, 0x6a, 0, 147, 0},
    { 0, 0x6a, 0, 148, 0},
    { 0, 0x6a, 0, 144, 0},
    { 0, 0x68, 239, 148, 0},
    { 0, 0x68, 0, 147, 0},
    { 0, 0x68, 0, 148, 0},
    { 0, 0x68, 0, 148, 0},
    { 0, 0x68, 0, 144, 0},
    // 180: Local time: 2015-11-14 11:38:00 PM
    { 0, 0x68, 0, 148, 0},
    { 0, 0x68, 0, 148, 0},
    { 0, 0x68, 0, 148, 0},
    { 0, 0x68, 0, 148, 0},
    { 0, 0x68, 0, 143, 0},
    { 0, 0x68, 0, 148, 0},
    { 0, 0x68, 0, 148, 0},
    { 0, 0x68, 0, 148, 0},
    { 0, 0x67, 1905, 148, 0},
    { 0, 0x54, 789, 145, 0},
    { 0, 0x60, 768, 147, 0},
    { 0, 0x6e, 0, 147, 0},
    { 0, 0x54, 696, 147, 0},
    { 0, 0x44, 0, 147, 0},
    { 0, 0x44, 0, 144, 0},
    // 195: Local time: 2015-11-14 11:53:00 PM
    { 0, 0x53, 162, 147, 0},
    { 0, 0x62, 0, 148, 0},
    { 0, 0x62, 0, 148, 0},
    { 0, 0x62, 0, 148, 0},
    { 0, 0x62, 0, 140, 0},
    { 0, 0x62, 0, 148, 0},
    { 0, 0x62, 0, 150, 0},
    { 0, 0x62, 0, 148, 0},
    { 0, 0x62, 0, 148, 0},
    { 0, 0x62, 0, 144, 0},
    { 0, 0x62, 0, 148, 0},
    { 0, 0x62, 0, 148, 0},
    { 0, 0x62, 0, 148, 0},
    { 0, 0x62, 0, 148, 0},
    { 0, 0x62, 0, 145, 0},
    // 210: Local time: 2015-11-15 12:08:00 AM
    { 0, 0x62, 0, 148, 0},
    { 0, 0x62, 0, 148, 0},
    { 0, 0x62, 0, 149, 0},
    { 0, 0x62, 0, 148, 0},
    { 0, 0x62, 0, 150, 0},
    { 0, 0x62, 0, 149, 0},
    { 0, 0x62, 0, 149, 0},
    { 0, 0x62, 0, 148, 0},
    { 0, 0x62, 0, 149, 0},
    { 0, 0x62, 0, 145, 0},
    { 0, 0x62, 0, 148, 0},
    { 0, 0x62, 0, 149, 0},
    { 0, 0x62, 0, 148, 0},
    { 0, 0x62, 0, 148, 0},
    { 0, 0x62, 0, 145, 0},
    // 225: Local time: 2015-11-15 12:23:00 AM
    { 0, 0x62, 0, 149, 0},
    { 0, 0x62, 0, 149, 0},
    { 0, 0x62, 0, 149, 0},
    { 0, 0x62, 0, 149, 0},
    { 0, 0x62, 0, 147, 0},
    { 0, 0x62, 0, 149, 0},
    { 0, 0x62, 0, 149, 0},
    { 0, 0x62, 0, 149, 0},
    { 0, 0x62, 0, 149, 0},
    { 0, 0x62, 0, 146, 0},
    { 0, 0x62, 0, 149, 0},
    { 0, 0x62, 0, 149, 0},
    { 0, 0x62, 0, 149, 0},
    { 0, 0x62, 0, 148, 0},
    { 0, 0x62, 0, 146, 0},
    // 240: Local time: 2015-11-15 12:38:00 AM
    { 0, 0x62, 0, 149, 0},
    { 0, 0x62, 0, 149, 0},
    { 0, 0x62, 0, 149, 0},
    { 0, 0x62, 0, 149, 0},
    { 0, 0x62, 0, 147, 0},
    { 0, 0x62, 0, 149, 0},
    { 0, 0x62, 0, 149, 0},
    { 0, 0x62, 0, 149, 0},
    { 0, 0x62, 0, 149, 0},
    { 0, 0x62, 0, 147, 0},
    { 0, 0x62, 117, 149, 0},
    { 0, 0x52, 0, 149, 0},
    { 0, 0x52, 0, 148, 0},
    { 0, 0x52, 0, 149, 0},
    { 0, 0x52, 0, 145, 0},
    // 255: Local time: 2015-11-15 12:53:00 AM
    { 0, 0x52, 0, 149, 0},
    { 0, 0x52, 0, 148, 0},
    { 0, 0x71, 152, 149, 0},
    { 0, 0x62, 694, 149, 0},
    { 0, 0x62, 0, 151, 0},
    { 0, 0x62, 0, 149, 0},
    { 0, 0x62, 0, 149, 0},
    { 0, 0x62, 0, 149, 0},
    { 0, 0x62, 0, 149, 0},
    { 0, 0x62, 0, 145, 0},
    { 0, 0x62, 0, 148, 0},
    { 0, 0x73, 734, 148, 0},
    { 0, 0x65, 0, 149, 0},
    { 0, 0x65, 0, 149, 0},
    { 0, 0x65, 0, 145, 0},
    // 270: Local time: 2015-11-15 01:08:00 AM
    { 0, 0x65, 0, 147, 0},
    { 0, 0x65, 0, 148, 0},
    { 0, 0x65, 0, 148, 0},
    { 0, 0x65, 0, 148, 0},
    { 0, 0x65, 0, 150, 0},
    { 0, 0x65, 0, 148, 0},
    { 0, 0x65, 0, 148, 0},
    { 0, 0x65, 0, 148, 0},
    { 0, 0x65, 0, 148, 0},
    { 0, 0x65, 0, 144, 0},
    { 0, 0x65, 0, 148, 0},
    { 0, 0x65, 0, 148, 0},
    { 0, 0x65, 0, 149, 0},
    { 0, 0x65, 0, 149, 0},
    { 0, 0x65, 0, 144, 0},
    // 285: Local time: 2015-11-15 01:23:00 AM
    { 0, 0x65, 0, 148, 0},
    { 0, 0x65, 0, 148, 0},
    { 0, 0x65, 0, 148, 0},
    { 0, 0x65, 0, 149, 0},
    { 0, 0x65, 0, 141, 0},
    { 0, 0x65, 0, 149, 0},
    { 0, 0x65, 0, 148, 0},
    { 0, 0x65, 0, 148, 0},
    { 0, 0x65, 0, 148, 0},
    { 0, 0x65, 0, 145, 0},
    { 0, 0x65, 0, 149, 0},
    { 0, 0x66, 904, 148, 0},
    { 0, 0x26, 1469, 148, 0},
    { 0, 0x15, 0, 148, 0},
    { 0, 0x15, 0, 144, 0},
    // 300: Local time: 2015-11-15 01:38:00 AM
    { 0, 0x15, 0, 148, 0},
    { 0, 0x15, 0, 147, 0},
    { 0, 0x15, 0, 148, 0},
    { 0, 0x15, 0, 148, 0},
    { 0, 0x15, 0, 137, 0},
    { 0, 0x15, 0, 148, 0},
    { 0, 0x15, 0, 148, 0},
    { 0, 0x15, 0, 148, 0},
    { 0, 0x15, 0, 148, 0},
    { 0, 0x15, 0, 144, 0},
    { 0, 0x15, 0, 147, 0},
    { 0, 0x15, 0, 147, 0},
    { 0, 0x15, 0, 148, 0},
    { 0, 0x15, 0, 148, 0},
    { 0, 0x15, 0, 145, 0},
    // 315: Local time: 2015-11-15 01:53:00 AM
    { 0, 0x15, 0, 146, 0},
    { 16, 0x24, 3270, 147, 0},
    { 0, 0x34, 0, 147, 0},
    { 0, 0x34, 0, 146, 0},
    { 0, 0x34, 0, 148, 0},
    { 0, 0x34, 0, 146, 0},
    { 0, 0x34, 0, 146, 0},
    { 0, 0x34, 0, 146, 0},
    { 0, 0x34, 0, 146, 0},
    { 0, 0x34, 0, 142, 0},
    { 0, 0x34, 0, 145, 0},
    { 0, 0x34, 0, 145, 0},
    { 0, 0x34, 0, 146, 0},
    { 0, 0x34, 0, 146, 0},
    { 0, 0x34, 0, 142, 0},
    // 330: Local time: 2015-11-15 02:08:00 AM
    { 0, 0x34, 0, 147, 0},
    { 0, 0x34, 0, 145, 0},
    { 0, 0x34, 0, 145, 0},
    { 0, 0x34, 0, 145, 0},
    { 0, 0x34, 0, 147, 0},
    { 0, 0x34, 0, 146, 0},
    { 0, 0x34, 0, 146, 0},
    { 0, 0x34, 0, 146, 0},
    { 0, 0x34, 0, 145, 0},
    { 0, 0x34, 0, 141, 0},
    { 0, 0x34, 0, 146, 0},
    { 0, 0x34, 0, 145, 0},
    { 0, 0x34, 0, 145, 0},
    { 0, 0x34, 0, 145, 0},
    { 0, 0x34, 0, 142, 0},
    // 345: Local time: 2015-11-15 02:23:00 AM
    { 0, 0x34, 0, 146, 0},
    { 0, 0x34, 0, 145, 0},
    { 0, 0x34, 341, 146, 0},
    { 10, 0x75, 327, 146, 0},
    { 0, 0x74, 0, 148, 0},
    { 0, 0x74, 0, 146, 0},
    { 0, 0x74, 0, 146, 0},
    { 0, 0x74, 0, 146, 0},
    { 0, 0x74, 0, 146, 0},
    { 0, 0x74, 0, 143, 0},
    { 0, 0x74, 0, 146, 0},
    { 0, 0x74, 0, 146, 0},
    { 0, 0x74, 0, 146, 0},
    { 0, 0x74, 0, 146, 0},
    { 0, 0x74, 0, 142, 0},
    // 360: Local time: 2015-11-15 02:38:00 AM
    { 0, 0x74, 0, 146, 0},
    { 0, 0x74, 0, 147, 0},
    { 0, 0x74, 0, 146, 0},
    { 0, 0x74, 0, 146, 0},
    { 0, 0x74, 0, 146, 0},
    { 0, 0x74, 0, 147, 0},
    { 0, 0x74, 0, 146, 0},
    { 0, 0x74, 0, 146, 0},
    { 0, 0x75, 0, 146, 0},
    { 0, 0x75, 0, 142, 0},
    { 0, 0x75, 0, 146, 0},
    { 0, 0x75, 0, 147, 0},
    { 0, 0x75, 0, 146, 0},
    { 0, 0x75, 0, 146, 0},
    { 0, 0x75, 0, 142, 0},
    // 375: Local time: 2015-11-15 02:53:00 AM
    { 0, 0x75, 0, 146, 0},
    { 0, 0x75, 0, 146, 0},
    { 0, 0x75, 0, 146, 0},
    { 0, 0x75, 0, 146, 0},
    { 0, 0x75, 1, 148, 0},
    { 0, 0x5c, 561, 147, 0},
    { 0, 0x4c, 0, 147, 0},
    { 0, 0x4c, 0, 146, 0},
    { 0, 0x4c, 0, 146, 0},
    { 0, 0x4c, 0, 142, 0},
    { 0, 0x5b, 615, 147, 0},
    { 0, 0x4b, 0, 147, 0},
    { 0, 0x6e, 582, 145, 0},
    { 0, 0x61, 0, 146, 0},
    { 0, 0x61, 0, 142, 0},
    // 390: Local time: 2015-11-15 03:08:00 AM
    { 0, 0x61, 0, 146, 0},
    { 0, 0x61, 0, 146, 0},
    { 0, 0x61, 0, 146, 0},
    { 0, 0x61, 0, 146, 0},
    { 0, 0x61, 0, 132, 0},
    { 0, 0x61, 0, 146, 0},
    { 0, 0x61, 0, 147, 0},
    { 0, 0x61, 0, 146, 0},
    { 0, 0x61, 0, 146, 0},
    { 0, 0x61, 0, 143, 0},
    { 0, 0x1d, 587, 144, 0},
    { 0, 0x1d, 0, 145, 0},
    { 0, 0x1d, 0, 145, 0},
    { 0, 0x1d, 0, 146, 0},
    { 0, 0x1d, 0, 143, 0},
    // 405: Local time: 2015-11-15 03:23:00 AM
    { 0, 0x1d, 0, 145, 0},
    { 0, 0x1d, 0, 146, 0},
    { 0, 0x1d, 0, 147, 0},
    { 0, 0x1d, 0, 147, 0},
    { 0, 0x1d, 0, 148, 0},
    { 0, 0x1d, 0, 147, 0},
    { 0, 0x1d, 0, 146, 0},
    { 0, 0x1d, 27, 147, 0},
    { 0, 0x1d, 0, 146, 0},
    { 0, 0x1d, 0, 143, 0},
    { 0, 0x1d, 0, 147, 0},
    { 0, 0x1d, 0, 146, 0},
    { 0, 0x1d, 0, 147, 0},
    { 0, 0x1d, 0, 147, 0},
    { 0, 0x1d, 0, 143, 0},
    // 420: Local time: 2015-11-15 03:38:00 AM
    { 0, 0x1d, 0, 147, 0},
    { 0, 0x1d, 0, 147, 0},
    { 0, 0x1d, 0, 147, 0},
    { 0, 0x1d, 0, 147, 0},
    { 0, 0x1d, 0, 149, 0},
    { 0, 0x1d, 0, 147, 0},
    { 0, 0x1d, 0, 147, 0},
    { 0, 0x1d, 0, 147, 0},
    { 0, 0x1d, 0, 147, 0},
    { 0, 0x1d, 0, 143, 0},
    { 0, 0x1d, 0, 148, 0},
    { 0, 0x1d, 0, 147, 0},
    { 0, 0x1d, 0, 148, 0},
    { 0, 0x1d, 0, 147, 0},
    { 0, 0x1d, 0, 143, 0},
    // 435: Local time: 2015-11-15 03:53:00 AM
    { 0, 0x1d, 0, 147, 0},
    { 0, 0x1d, 0, 147, 0},
    { 0, 0x1d, 124, 147, 0},
    { 0, 0x1e, 12, 148, 0},
    { 0, 0x1e, 0, 137, 0},
    { 0, 0x1e, 0, 147, 0},
    { 0, 0x1e, 0, 147, 0},
    { 0, 0x1f, 50, 148, 0},
    { 0, 0x1e, 0, 148, 0},
    { 0, 0x1e, 0, 143, 0},
    { 0, 0x1e, 0, 147, 0},
    { 0, 0x1f, 24, 147, 0},
    { 0, 0x1e, 0, 148, 0},
    { 0, 0x1e, 0, 148, 0},
    { 0, 0x1e, 0, 145, 0},
    // 450: Local time: 2015-11-15 04:08:00 AM
    { 0, 0x1e, 0, 148, 0},
    { 0, 0x1e, 0, 147, 0},
    { 0, 0x1e, 0, 148, 0},
    { 0, 0x1e, 0, 148, 0},
    { 0, 0x1e, 0, 147, 0},
    { 0, 0x1e, 0, 148, 0},
    { 0, 0x1f, 92, 148, 0},
    { 0, 0x1f, 27, 148, 0},
    { 0, 0x1e, 0, 148, 0},
    { 0, 0x1e, 0, 144, 0},
    { 0, 0x1e, 0, 148, 0},
    { 0, 0x1e, 0, 148, 0},
    { 0, 0x3, 1754, 146, 0},
    { 0, 0x45, 0, 148, 0},
    { 0, 0x45, 0, 144, 0},
    // 465: Local time: 2015-11-15 04:23:00 AM
    { 0, 0x45, 0, 148, 0},
    { 0, 0x45, 0, 148, 0},
    { 0, 0x45, 0, 148, 0},
    { 0, 0x45, 0, 148, 0},
    { 0, 0x45, 0, 150, 0},
    { 0, 0x45, 0, 148, 0},
    { 0, 0x45, 0, 147, 0},
    { 0, 0x45, 0, 148, 0},
    { 0, 0x45, 0, 148, 0},
    { 0, 0x45, 0, 145, 0},
    { 0, 0x45, 456, 148, 0},
    { 0, 0x55, 57, 148, 0},
    { 0, 0x55, 0, 148, 0},
    { 0, 0x65, 209, 148, 0},
    { 0, 0x66, 0, 144, 0},
    // 480: Local time: 2015-11-15 04:38:00 AM
    { 0, 0x66, 0, 148, 0},
    { 0, 0x66, 0, 148, 0},
    { 0, 0x66, 0, 148, 0},
    { 0, 0x66, 0, 148, 0},
    { 0, 0x66, 0, 150, 0},
    { 0, 0x66, 0, 148, 0},
    { 0, 0x66, 134, 148, 0},
    { 0, 0x66, 64, 149, 0},
    { 0, 0x66, 0, 148, 0},
    { 0, 0x66, 0, 144, 0},
    { 0, 0x66, 0, 148, 0},
    { 0, 0x66, 0, 148, 0},
    { 0, 0x66, 0, 148, 0},
    { 0, 0x66, 0, 148, 0},
    { 0, 0x66, 0, 145, 0},
    // 495: Local time: 2015-11-15 04:53:00 AM
    { 0, 0x66, 0, 148, 0},
    { 0, 0x66, 0, 148, 0},
    { 17, 0x65, 3495, 149, 0},
    { 12, 0x53, 5544, 148, 0},
    { 0, 0x35, 4414, 149, 0},
    { 0, 0x25, 2001, 148, 0},
    { 20, 0x35, 5304, 147, 0},
    { 0, 0x15, 0, 147, 0},
    { 12, 0x8d, 752, 147, 0},
    { 0, 0x8d, 0, 144, 0},
    { 0, 0x8d, 0, 147, 0},
    { 0, 0x8c, 0, 147, 0},
    { 0, 0x8c, 0, 147, 0},
    { 0, 0x8c, 0, 146, 0},
    { 0, 0x8c, 0, 143, 0},
    // 510: Local time: 2015-11-15 05:09:00 AM
    { 0, 0x8c, 0, 146, 0},
    { 0, 0x8c, 0, 146, 0},
    { 0, 0x8d, 0, 146, 0},
    { 0, 0x8c, 0, 146, 0},
    { 0, 0x8c, 0, 147, 0},
    { 0, 0x8c, 0, 146, 0},
    { 0, 0x8c, 0, 146, 0},
    { 0, 0x8c, 0, 146, 0},
    { 0, 0x8c, 0, 146, 0},
    { 0, 0x8c, 0, 143, 0},
    { 0, 0x8c, 0, 146, 0},
    { 0, 0x8c, 0, 146, 0},
    { 0, 0x8c, 0, 146, 0},
    { 0, 0x8c, 0, 146, 0},
    { 0, 0x8c, 0, 142, 0},
    // 525: Local time: 2015-11-15 05:24:00 AM
    { 0, 0x8c, 0, 146, 0},
    { 0, 0x8c, 0, 146, 0},
    { 0, 0x8c, 0, 146, 0},
    { 0, 0x8c, 0, 146, 0},
    { 0, 0x8c, 0, 148, 0},
    { 0, 0x8c, 0, 146, 0},
    { 0, 0x8c, 0, 146, 0},
    { 0, 0x8c, 0, 146, 0},
    { 0, 0x8c, 0, 146, 0},
    { 0, 0x8c, 0, 144, 0},
    { 0, 0x8d, 0, 147, 0},
    { 0, 0x8c, 0, 146, 0},
    { 0, 0x8d, 0, 146, 0},
    { 0, 0x8c, 0, 146, 0},
    { 0, 0x8c, 0, 144, 0},
    // 540: Local time: 2015-11-15 05:39:00 AM
    { 0, 0x8c, 0, 146, 0},
    { 0, 0x8c, 0, 146, 0},
    { 0, 0x6c, 108, 147, 0},
    { 0, 0x6c, 0, 146, 0},
    { 0, 0x6c, 0, 148, 0},
    { 0, 0x6c, 0, 147, 0},
    { 0, 0x6c, 0, 147, 0},
    { 0, 0x6c, 0, 147, 0},
    { 0, 0x6c, 0, 147, 0},
    { 0, 0x6c, 0, 145, 0},
    { 0, 0x6c, 0, 147, 0},
    { 0, 0x6c, 0, 148, 0},
    { 0, 0x6c, 0, 148, 0},
    { 0, 0x32, 992, 146, 0},
    { 0, 0x23, 0, 145, 0},
    // 555: Local time: 2015-11-15 05:54:00 AM
    { 0, 0x23, 0, 148, 0},
    { 0, 0x23, 0, 148, 0},
    { 0, 0x23, 0, 148, 0},
    { 0, 0x23, 0, 149, 0},
    { 0, 0x33, 0, 150, 0},
    { 0, 0x33, 0, 149, 0},
    { 0, 0x33, 0, 149, 0},
    { 0, 0x33, 0, 149, 0},
    { 0, 0x33, 43, 149, 0},
    { 0, 0x33, 0, 145, 0},
    { 0, 0x33, 0, 148, 0},
    { 0, 0x33, 0, 149, 0},
    { 0, 0x33, 0, 149, 0},
    { 0, 0x23, 26, 149, 0},
    { 0, 0x24, 0, 145, 0},
    // 570: Local time: 2015-11-15 06:09:00 AM
    { 0, 0x24, 0, 148, 0},
    { 0, 0x24, 0, 149, 0},
    { 0, 0x24, 0, 148, 0},
    { 0, 0x24, 0, 149, 0},
    { 0, 0x24, 0, 136, 0},
    { 0, 0x24, 0, 149, 0},
    { 0, 0x24, 0, 149, 0},
    { 0, 0x24, 0, 149, 0},
    { 0, 0x24, 0, 149, 0},
    { 0, 0x24, 0, 145, 0},
    { 0, 0x24, 0, 148, 0},
    { 0, 0x24, 0, 148, 0},
    { 0, 0x24, 0, 149, 0},
    { 0, 0x24, 0, 149, 0},
    { 0, 0x45, 2134, 145, 0},
    // 585: Local time: 2015-11-15 06:24:00 AM
    { 0, 0x67, 0, 148, 0},
    { 0, 0x67, 0, 149, 0},
    { 0, 0x67, 0, 148, 0},
    { 0, 0x67, 0, 149, 0},
    { 0, 0x67, 0, 150, 0},
    { 0, 0x67, 0, 149, 0},
    { 0, 0x67, 0, 149, 0},
    { 0, 0x67, 0, 149, 0},
    { 0, 0x67, 0, 149, 0},
    { 0, 0x67, 0, 145, 0},
    { 0, 0x67, 202, 148, 0},
    { 0, 0x1b, 542, 149, 0},
    { 0, 0x1b, 0, 148, 0},
    { 0, 0x1b, 0, 148, 0},
    { 0, 0x1b, 0, 145, 0},
    // 600: Local time: 2015-11-15 06:39:00 AM
    { 0, 0x1b, 0, 148, 0},
    { 0, 0x1b, 0, 148, 0},
    { 0, 0x1b, 0, 149, 0},
    { 0, 0x1b, 0, 148, 0},
    { 0, 0x1b, 0, 138, 0},
    { 0, 0x1b, 0, 149, 0},
    { 0, 0x1b, 0, 148, 0},
    { 0, 0x1b, 0, 149, 0},
    { 0, 0x1b, 0, 148, 0},
    { 0, 0x1b, 0, 145, 0},
    { 0, 0x1b, 0, 149, 0},
    { 0, 0x1b, 0, 149, 0},
    { 0, 0x1b, 0, 150, 0},
    { 0, 0x1b, 0, 150, 0},
    { 0, 0x1b, 0, 147, 0},
    // 615: Local time: 2015-11-15 06:54:00 AM
    { 0, 0x1b, 0, 150, 0},
    { 0, 0x1b, 0, 150, 0},
    { 0, 0x1b, 0, 151, 0},
    { 0, 0x1b, 0, 151, 0},
    { 0, 0x2b, 255, 152, 0},
    { 0, 0x4b, 0, 150, 0},
    { 0, 0x4b, 0, 149, 0},
    { 0, 0x4b, 0, 151, 0},
    { 12, 0x69, 1733, 151, 0},
    { 0, 0x78, 0, 148, 0},
    { 0, 0x78, 0, 153, 0},
    { 0, 0x78, 0, 153, 0},
    { 0, 0x78, 0, 153, 0},
    { 0, 0x78, 0, 153, 0},
    { 0, 0x78, 0, 150, 0},
    // 630: Local time: 2015-11-15 07:09:00 AM
    { 0, 0x78, 0, 153, 0},
    { 0, 0x79, 89, 153, 0},
    { 0, 0x6a, 0, 154, 0},
    { 0, 0x6a, 0, 154, 0},
    { 0, 0x6a, 0, 155, 0},
    { 0, 0x6a, 0, 155, 0},
    { 0, 0x6a, 0, 156, 0},
    { 0, 0x6a, 15, 155, 0},
    { 0, 0x69, 0, 157, 0},
    { 0, 0x69, 0, 152, 0},
    { 0, 0x59, 785, 151, 0},
    { 0, 0x9, 0, 152, 0},
    { 0, 0x9, 0, 151, 0},
    { 0, 0x9, 0, 168, 0},
    { 0, 0x3b, 2146, 164, 0},
    // 645: Local time: 2015-11-15 07:24:00 AM
    { 0, 0x4a, 0, 169, 0},
    { 0, 0x4a, 0, 169, 0},
    { 0, 0x2a, 241, 172, 0},
    { 0, 0x38, 790, 147, 0},
    { 0, 0x66, 2519, 190, 0},
    { 0, 0x78, 125, 185, 0},
    { 0, 0x5a, 2717, 156, 0},
    { 0, 0x68, 157, 153, 0},
    { 0, 0x68, 15, 167, 0},
    { 0, 0x68, 1006, 158, 0},
    { 8, 0x68, 421, 172, 0},
    { 0, 0x5a, 0, 176, 0},
    { 0, 0x4a, 0, 176, 0},
    { 0, 0x4a, 0, 175, 0},
    { 0, 0x4a, 0, 172, 0},
    // 660: Local time: 2015-11-15 07:40:00 AM
    { 0, 0x5a, 24, 180, 0},
    { 0, 0x5a, 0, 179, 0},
    { 0, 0x5b, 0, 179, 0},
    { 0, 0x5a, 38, 175, 0},
    { 0, 0x5a, 0, 175, 0},
    { 0, 0x68, 1154, 175, 0},
    { 0, 0x68, 0, 185, 0},
    { 0, 0x68, 0, 185, 0},
    { 0, 0x68, 0, 185, 0},
    { 0, 0x68, 0, 183, 0},
    { 0, 0x68, 0, 187, 0},
    { 0, 0x69, 292, 226, 0},
    { 0, 0x4b, 530, 231, 0},
    { 0, 0x5b, 743, 234, 0},
    { 0, 0x5b, 0, 236, 0},
    // 675: Local time: 2015-11-15 07:55:00 AM
    { 0, 0x5b, 0, 236, 0},
    { 0, 0x42, 10149, 195, 0},
    { 16, 0x43, 6351, 189, 0},
    { 34, 0x43, 5560, 195, 0},
    { 58, 0x43, 5073, 177, 0},
    { 26, 0x43, 5633, 182, 0},
    { 0, 0x34, 8387, 195, 0},
    { 0, 0x63, 1014, 211, 0},
    { 0, 0x35, 4057, 179, 0},
    { 0, 0x54, 2776, 184, 0},
    { 0, 0x64, 1030, 181, 0},
    { 0, 0x33, 1663, 202, 0},
    { 0, 0x43, 6204, 197, 0},
    { 0, 0x44, 5659, 192, 0},
    { 0, 0x34, 6944, 198, 0},
    // 690: Local time: 2015-11-15 08:10:00 AM
    { 0, 0x34, 6982, 196, 0},
    { 0, 0x34, 5128, 218, 0},
    { 0, 0x44, 2381, 208, 0},
    { 0, 0x43, 4193, 192, 0},
    { 0, 0x43, 7232, 190, 0},
    { 0, 0x35, 6935, 188, 0},
    { 0, 0x44, 7811, 198, 0},
    { 20, 0x44, 3693, 201, 0},
    { 16, 0x54, 5436, 195, 0},
    { 0, 0x44, 2844, 202, 0},
    { 0, 0x44, 6984, 197, 0},
    { 0, 0x45, 5486, 199, 0},
    { 13, 0x44, 5185, 200, 0},
    { 40, 0x43, 7357, 180, 0},
    { 32, 0x25, 4038, 193, 0},
    // 705: Local time: 2015-11-15 08:25:00 AM
    { 0, 0x46, 1481, 194, 0},
    { 0, 0x55, 1761, 196, 0},
    { 0, 0x55, 2580, 195, 0},
    { 0, 0x46, 1415, 192, 0},
    { 0, 0x55, 12, 187, 0},
    { 0, 0x55, 1614, 194, 0},
    { 0, 0x55, 853, 194, 0},
    { 0, 0x55, 1240, 194, 0},
    { 0, 0x44, 1530, 194, 0},
    { 0, 0x55, 517, 196, 0},
    { 0, 0x55, 957, 190, 0},
    { 0, 0x44, 838, 192, 0},
    { 0, 0x34, 0, 184, 0},
    { 0, 0x44, 1562, 181, 0},
    { 0, 0x44, 222, 184, 0},
    // 720: Local time: 2015-11-15 08:40:01 AM
    { 0, 0x45, 1194, 195, 0},
    { 0, 0x55, 972, 196, 0},
    { 0, 0x55, 498, 194, 0},
    { 0, 0x45, 958, 194, 0},
    { 0, 0x55, 1217, 195, 0},
    { 0, 0x55, 481, 194, 0},
    { 0, 0x45, 915, 196, 0},
    { 0, 0x45, 1684, 190, 0},
    { 0, 0x45, 241, 184, 0},
    { 0, 0x46, 134, 186, 0},
    { 0, 0x46, 20, 185, 0},
    { 0, 0x46, 472, 184, 0},
    { 0, 0x46, 113, 183, 0},
    { 0, 0x46, 206, 184, 0},
    { 0, 0x46, 160, 185, 0},
    // 735: Local time: 2015-11-15 08:55:00 AM
    { 0, 0x46, 13, 184, 0},
    { 0, 0x46, 0, 182, 0},
    { 0, 0x46, 615, 181, 0},
    { 12, 0x55, 782, 186, 0},
    { 0, 0x45, 1, 185, 0},
    { 0, 0x46, 0, 185, 0},
    { 0, 0x46, 13, 184, 0},
    { 0, 0x56, 1807, 187, 0},
    { 0, 0x46, 873, 201, 0},
    { 0, 0x38, 591, 185, 0},
    { 0, 0x38, 299, 206, 0},
    { 0, 0x37, 258, 186, 0},
    { 0, 0x46, 66, 189, 0},
    { 0, 0x46, 117, 188, 0},
    { 0, 0x46, 596, 188, 0},
    // 750: Local time: 2015-11-15 09:10:00 AM
    { 0, 0x46, 286, 188, 0},
    { 0, 0x46, 90, 188, 0},
    { 0, 0x46, 328, 205, 0},
    { 0, 0x37, 563, 187, 0},
    { 0, 0x46, 426, 188, 0},
    { 0, 0x46, 262, 197, 0},
    { 0, 0x36, 152, 189, 0},
    { 0, 0x46, 0, 188, 0},
    { 0, 0x37, 433, 188, 0},
    { 0, 0x46, 40, 188, 0},
    { 0, 0x46, 17, 188, 0},
    { 0, 0x46, 19, 188, 0},
    { 0, 0x46, 15, 188, 0},
    { 0, 0x46, 19, 188, 0},
    { 0, 0x46, 27, 188, 0},
    // 765: Local time: 2015-11-15 09:25:00 AM
    { 0, 0x46, 48, 188, 0},
    { 0, 0x46, 1007, 188, 0},
    { 0, 0x46, 10, 191, 0},
    { 0, 0x36, 365, 190, 0},
    { 0, 0x46, 15, 193, 0},
    { 0, 0x46, 0, 193, 0},
    { 0, 0x46, 1, 192, 0},
    { 0, 0x44, 1027, 189, 0},
    { 0, 0x52, 706, 191, 0},
    { 0, 0x46, 346, 197, 0},
    { 0, 0x46, 0, 197, 0},
    { 0, 0x46, 3, 197, 0},
    { 0, 0x46, 0, 197, 0},
    { 0, 0x46, 27, 196, 0},
    { 0, 0x46, 0, 196, 0},
    // 780: Local time: 2015-11-15 09:40:00 AM
    { 0, 0x46, 20, 199, 0},
    { 0, 0x46, 6, 198, 0},
    { 0, 0x46, 24, 198, 0},
    { 0, 0x46, 358, 199, 0},
    { 0, 0x46, 505, 197, 0},
    { 0, 0x46, 5, 196, 0},
    { 0, 0x46, 0, 196, 0},
    { 0, 0x47, 339, 199, 0},
    { 0, 0x56, 2127, 202, 0},
    { 0, 0x56, 78, 200, 0},
    { 0, 0x56, 307, 200, 0},
    { 0, 0x56, 61, 198, 0},
    { 0, 0x56, 12, 198, 0},
    { 0, 0x56, 50, 197, 0},
    { 0, 0x56, 0, 197, 0},
    // 795: Local time: 2015-11-15 09:55:00 AM
    { 0, 0x46, 17, 196, 0},
    { 0, 0x46, 43, 197, 0},
    { 0, 0x46, 0, 197, 0},
    { 0, 0x46, 0, 197, 0},
    { 0, 0x46, 409, 202, 0},
    { 0, 0x47, 404, 196, 0},
    { 0, 0x49, 412, 200, 0},
    { 0, 0x49, 55, 190, 0},
    { 0, 0x4a, 601, 204, 0},
    { 0, 0x49, 2704, 194, 0},
    { 0, 0x39, 73, 198, 0},
    { 0, 0x48, 300, 200, 0},
    { 0, 0x48, 498, 201, 0},
    { 0, 0x38, 1060, 200, 0},
    { 10, 0x48, 531, 201, 0},
    // 810: Local time: 2015-11-15 10:10:00 AM
    { 0, 0x48, 601, 189, 0},
    { 0, 0x54, 6881, 229, 0},
    { 0, 0x37, 3525, 190, 0},
    { 0, 0x55, 3506, 185, 0},
    { 0, 0x56, 1173, 189, 0},
    { 0, 0x55, 332, 189, 0},
    { 0, 0x56, 332, 189, 0},
    { 0, 0x58, 148, 185, 0},
    { 0, 0x56, 432, 191, 0},
    { 0, 0x56, 101, 191, 0},
    { 0, 0x55, 372, 190, 0},
    { 0, 0x54, 0, 190, 0},
    { 0, 0x55, 1236, 183, 0},
    { 0, 0x55, 360, 185, 0},
    { 0, 0x55, 167, 187, 0},
    // 825: Local time: 2015-11-15 10:25:00 AM
    { 0, 0x55, 166, 187, 0},
    { 0, 0x56, 267, 188, 0},
    { 0, 0x57, 563, 188, 0},
    { 0, 0x47, 1623, 189, 0},
    { 0, 0x56, 477, 189, 0},
    { 0, 0x55, 33, 189, 0},
    { 0, 0x55, 633, 183, 0},
    { 0, 0x55, 227, 186, 0},
    { 0, 0x35, 272, 159, 0},
    { 0, 0x35, 141, 183, 0},
    { 0, 0x36, 0, 181, 0},
    { 0, 0x65, 1448, 186, 0},
    { 0, 0x56, 831, 186, 0},
    { 0, 0x67, 708, 184, 0},
    { 0, 0x67, 523, 188, 0},
    // 840: Local time: 2015-11-15 10:40:00 AM
    { 0, 0x45, 3033, 188, 0},
    { 0, 0x44, 2986, 186, 0},
    { 0, 0x34, 1712, 187, 0},
    { 0, 0x35, 2435, 191, 0},
    { 10, 0x43, 9388, 189, 0},
    { 0, 0x32, 11085, 190, 0},
    { 16, 0x32, 5073, 199, 0},
    { 27, 0x24, 7285, 234, 0},
    { 117, 0x41, 32148, 219, 0},
    { 0, 0x56, 6847, 202, 0},
    { 0, 0x46, 1081, 181, 0},
    { 0, 0x57, 1586, 215, 0},
    { 0, 0x57, 2187, 227, 0},
    { 0, 0x47, 482, 225, 0},
    { 0, 0x46, 1035, 237, 0},
    // 855: Local time: 2015-11-15 10:55:00 AM
    { 0, 0x56, 1376, 224, 0},
    { 0, 0x56, 1270, 193, 0},
    { 0, 0x47, 794, 226, 0},
    { 7, 0x46, 1462, 206, 0},
    { 16, 0x57, 1233, 204, 0},
    { 0, 0x46, 946, 205, 0},
    { 0, 0x56, 2701, 186, 0},
    { 30, 0x34, 5138, 182, 0},
    { 0, 0x35, 503, 178, 0},
    { 20, 0x46, 6548, 145, 0},
    { 0, 0x47, 0, 145, 0},
    { 0, 0x47, 0, 145, 0},
    { 0, 0x47, 0, 144, 0},
    { 0, 0x47, 356, 144, 0},
    { 0, 0x48, 0, 144, 0},
    // 870: Local time: 2015-11-15 11:10:00 AM
    { 0, 0x48, 0, 144, 0},
    { 0, 0x48, 0, 144, 0},
    { 0, 0x48, 0, 144, 0},
    { 0, 0x48, 0, 144, 0},
    { 0, 0x48, 0, 144, 0},
    { 0, 0x48, 0, 144, 0},
    { 0, 0x48, 0, 144, 0},
    { 0, 0x48, 0, 143, 0},
    { 0, 0x48, 0, 143, 0},
    { 0, 0x48, 0, 143, 0},
    { 0, 0x48, 0, 143, 0},
    { 0, 0x48, 0, 143, 0},
    { 0, 0x48, 0, 143, 0},
    { 0, 0x48, 0, 143, 0},
    { 0, 0x48, 0, 143, 0},
    // 885: Local time: 2015-11-15 11:25:00 AM
    { 0, 0x48, 0, 143, 0},
    { 0, 0x48, 0, 143, 0},
    { 0, 0x48, 0, 143, 0},
    { 0, 0x48, 0, 143, 0},
    { 0, 0x48, 0, 143, 0},
    { 0, 0x48, 0, 143, 0},
    { 0, 0x48, 0, 143, 0},
    { 0, 0x48, 0, 143, 0},
    { 0, 0x48, 0, 143, 0},
    { 0, 0x48, 0, 143, 0},
    { 0, 0x48, 0, 143, 0},
    { 0, 0x48, 0, 143, 0},
    { 0, 0x48, 0, 143, 0},
    { 0, 0x48, 0, 143, 0},
    { 0, 0x48, 0, 143, 0},
    // 900: Local time: 2015-11-15 11:40:00 AM
    { 0, 0x48, 0, 143, 0},
    { 0, 0x48, 0, 142, 0},
    { 0, 0x48, 0, 142, 0},
    { 0, 0x48, 0, 142, 0},
    { 0, 0x48, 0, 142, 0},
    { 0, 0x48, 0, 142, 0},
    { 0, 0x48, 0, 142, 0},
    { 0, 0x48, 0, 142, 0},
    { 0, 0x48, 0, 142, 0},
    { 0, 0x48, 0, 142, 0},
    { 0, 0x48, 0, 142, 0},
    { 0, 0x48, 0, 142, 0},
    { 0, 0x48, 0, 142, 0},
    { 0, 0x48, 0, 142, 0},
    { 0, 0x48, 0, 142, 0},
    // 915: Local time: 2015-11-15 11:55:00 AM
    { 0, 0x48, 0, 142, 0},
    { 0, 0x48, 0, 142, 0},
    { 0, 0x48, 0, 142, 0},
    { 0, 0x48, 0, 142, 0},
    { 0, 0x48, 0, 142, 0},
    { 0, 0x48, 0, 142, 0},
    { 0, 0x48, 0, 142, 0},
    { 0, 0x48, 0, 142, 0},
    { 0, 0x48, 0, 142, 0},
    { 0, 0x48, 0, 142, 0},
    { 0, 0x48, 0, 142, 0},
    { 0, 0x48, 0, 142, 0},
    { 0, 0x48, 0, 142, 0},
    { 0, 0x48, 0, 142, 0},
    { 0, 0x48, 0, 142, 0},
    // 930: Local time: 2015-11-15 12:10:00 PM
    { 0, 0x48, 0, 142, 0},
    { 0, 0x48, 0, 142, 0},
    { 0, 0x48, 0, 141, 0},
    { 0, 0x48, 0, 141, 0},
    { 0, 0x48, 0, 141, 0},
    { 0, 0x48, 0, 142, 0},
    { 0, 0x48, 0, 141, 0},
    { 0, 0x48, 0, 142, 0},
    { 0, 0x48, 0, 141, 0},
    { 0, 0x48, 0, 141, 0},
    { 0, 0x48, 0, 141, 0},
    { 0, 0x48, 0, 141, 0},
    { 0, 0x48, 0, 141, 0},
    { 0, 0x48, 0, 141, 0},
    { 0, 0x48, 0, 141, 0},
    // 945: Local time: 2015-11-15 12:26:00 PM
    { 0, 0x48, 0, 141, 0},
    { 0, 0x48, 0, 141, 0},
    { 0, 0x48, 0, 141, 0},
    { 0, 0x48, 0, 141, 0},
    { 0, 0x48, 0, 141, 0},
    { 0, 0x48, 0, 141, 0},
    { 0, 0x48, 293, 143, 0},
    { 0, 0x38, 164, 141, 0},
    { 20, 0x37, 1625, 145, 0},
    { 15, 0x38, 3135, 170, 0},
    { 15, 0x8, 1124, 141, 0},
    { 0, 0xb, 0, 141, 0},
    { 0, 0xb, 0, 141, 0},
    { 0, 0xb, 0, 141, 0},
    { 0, 0xb, 0, 141, 0},
    // 960: Local time: 2015-11-15 12:41:00 PM
    { 0, 0xb, 0, 141, 0},
    { 0, 0x9, 418, 143, 0},
    { 0, 0x48, 54, 141, 0},
    { 0, 0x48, 505, 141, 0},
    { 0, 0x48, 565, 141, 0},
    { 0, 0x48, 330, 141, 0},
    { 0, 0x48, 239, 141, 0},
    { 0, 0x48, 418, 142, 0},
    { 0, 0x48, 440, 142, 0},
    { 0, 0x48, 428, 141, 0},
    { 0, 0x48, 468, 142, 0},
    { 0, 0x48, 552, 142, 0},
    { 0, 0x48, 129, 142, 0},
    { 0, 0x48, 236, 142, 0},
    { 0, 0x48, 192, 142, 0},
    // 975: Local time: 2015-11-15 12:56:00 PM
    { 0, 0x48, 313, 142, 0},
    { 43, 0x38, 5082, 143, 0},
    { 56, 0x39, 2872, 142, 0},
    { 28, 0x39, 1663, 142, 0},
    { 8, 0x39, 523, 142, 0},
    { 0, 0x39, 108, 142, 0},
    { 15, 0x39, 1287, 142, 0},
    { 31, 0x39, 1730, 142, 0},
    { 10, 0x38, 827, 142, 0},
    { 23, 0x28, 1747, 142, 0},
    { 23, 0x28, 1187, 142, 0},
    { 0, 0x28, 106, 142, 0},
    { 0, 0x28, 1723, 142, 0},
    { 31, 0x27, 1275, 141, 0},
    { 4, 0x38, 386, 142, 0},
    // 990: Local time: 2015-11-15 01:11:00 PM
    { 56, 0x28, 3590, 142, 0},
    { 0, 0x13, 92, 142, 0},
    { 0, 0x2, 125, 142, 0},
    { 0, 0x5, 402, 142, 0},
    { 104, 0x38, 6973, 144, 0},
    { 16, 0xa, 1187, 141, 0},
    { 0, 0xc, 0, 141, 0},
    { 0, 0xc, 0, 141, 0},
    { 0, 0xc, 0, 141, 0},
    { 0, 0xc, 0, 141, 0},
    { 0, 0xc, 0, 141, 0},
    { 0, 0xc, 0, 141, 0},
    { 0, 0xc, 0, 141, 0},
    { 0, 0xc, 0, 141, 0},
    { 0, 0xc, 0, 141, 0},
    // 1005: Local time: 2015-11-15 01:26:00 PM
    { 0, 0xc, 0, 141, 0},
    { 0, 0xc, 0, 141, 0},
    { 0, 0xc, 0, 141, 0},
    { 0, 0xc, 0, 141, 0},
    { 0, 0xc, 0, 141, 0},
    { 0, 0xc, 0, 141, 0},
    { 0, 0xc, 0, 141, 0},
    { 0, 0xb, 0, 141, 0},
    { 0, 0xc, 0, 141, 0},
    { 0, 0xc, 0, 141, 0},
    { 0, 0xc, 0, 141, 0},
    { 0, 0xc, 0, 141, 0},
    { 0, 0xc, 0, 141, 0},
    { 0, 0xc, 0, 141, 0},
    { 0, 0xc, 0, 141, 0},
    // 1020: Local time: 2015-11-15 01:41:00 PM
    { 0, 0xc, 0, 141, 0},
    { 0, 0xc, 0, 141, 0},
    { 0, 0xc, 0, 141, 0},
    { 0, 0xc, 0, 140, 0},
    { 0, 0xc, 0, 140, 0},
    { 0, 0xc, 0, 141, 0},
    { 0, 0xc, 0, 140, 0},
    { 0, 0xc, 0, 141, 0},
    { 0, 0xc, 0, 140, 0},
    { 0, 0xc, 0, 140, 0},
    { 0, 0xc, 0, 140, 0},
    { 0, 0xc, 0, 140, 0},
    { 0, 0xc, 0, 140, 0},
    { 0, 0xc, 0, 140, 0},
    { 0, 0xc, 0, 140, 0},
    // 1035: Local time: 2015-11-15 01:56:00 PM
    { 0, 0xc, 0, 140, 0},
    { 0, 0xc, 0, 140, 0},
    { 0, 0xc, 0, 140, 0},
    { 0, 0xc, 0, 140, 0},
    { 0, 0xc, 0, 140, 0},
    { 0, 0xc, 0, 140, 0},
    { 0, 0xc, 0, 140, 0},
    { 0, 0xc, 0, 140, 0},
    { 0, 0xc, 0, 140, 0},
    { 0, 0xc, 0, 140, 0},
    { 0, 0xc, 0, 140, 0},
    { 0, 0xc, 40, 140, 0},
    { 0, 0xc, 0, 140, 0},
    { 0, 0xc, 0, 140, 0},
    { 0, 0xc, 0, 140, 0},
    // 1050: Local time: 2015-11-15 02:11:00 PM
    { 0, 0xc, 0, 140, 0},
    { 0, 0xc, 0, 140, 0},
    { 0, 0xc, 0, 140, 0},
    { 0, 0xc, 0, 140, 0},
    { 0, 0xc, 0, 140, 0},
    { 0, 0xc, 0, 140, 0},
    { 0, 0xc, 0, 140, 0},
    { 0, 0xc, 0, 140, 0},
    { 0, 0xc, 0, 140, 0},
    { 0, 0xc, 0, 140, 0},
    { 0, 0xc, 0, 140, 0},
    { 0, 0xc, 0, 140, 0},
    { 0, 0xc, 0, 140, 0},
    { 0, 0xc, 0, 140, 0},
    { 0, 0xc, 0, 140, 0},
    // 1065: Local time: 2015-11-15 02:26:00 PM
    { 0, 0xc, 0, 140, 0},
    { 0, 0xc, 0, 140, 0},
    { 0, 0xc, 0, 140, 0},
    { 0, 0xc, 0, 140, 0},
    { 0, 0xc, 0, 117, 0},
    { 0, 0xc, 0, 139, 0},
    { 0, 0xc, 0, 140, 0},
    { 0, 0xc, 0, 140, 0},
    { 0, 0xc, 0, 140, 0},
    { 0, 0xc, 0, 139, 0},
    { 0, 0xc, 0, 140, 0},
    { 0, 0xc, 0, 140, 0},
    { 0, 0xc, 0, 140, 0},
    { 0, 0xc, 0, 140, 0},
    { 0, 0xc, 15, 143, 0},
    // 1080: Local time: 2015-11-15 02:41:00 PM
    { 0, 0xc, 0, 140, 0},
    { 0, 0xc, 0, 140, 0},
    { 0, 0xc, 0, 139, 0},
    { 0, 0xc, 0, 140, 0},
    { 0, 0xc, 0, 139, 0},
    { 0, 0xc, 0, 140, 0},
    { 0, 0xc, 0, 139, 0},
    { 0, 0xc, 0, 139, 0},
    { 0, 0xc, 0, 139, 0},
    { 0, 0xc, 0, 139, 0},
    { 0, 0xc, 0, 140, 0},
    { 0, 0xc, 0, 139, 0},
    { 0, 0xc, 0, 139, 0},
    { 0, 0xc, 0, 139, 0},
    { 0, 0xc, 0, 139, 0},
    // 1095: Local time: 2015-11-15 02:56:00 PM
    { 0, 0xc, 0, 139, 0},
    { 0, 0xc, 0, 139, 0},
    { 0, 0xc, 0, 139, 0},
    { 0, 0xc, 0, 139, 0},
    { 0, 0xc, 0, 139, 0},
    { 0, 0xc, 0, 139, 0},
    { 0, 0xc, 0, 139, 0},
    { 0, 0xc, 0, 139, 0},
    { 0, 0xc, 0, 139, 0},
    { 0, 0xc, 0, 139, 0},
    { 0, 0xc, 0, 139, 0},
    { 0, 0xc, 0, 139, 0},
    { 0, 0xc, 0, 139, 0},
    { 0, 0xc, 0, 139, 0},
    { 0, 0xc, 0, 139, 0},
    // 1110: Local time: 2015-11-15 03:11:00 PM
    { 0, 0xc, 0, 139, 0},
    { 0, 0xc, 0, 139, 0},
    { 0, 0xc, 0, 139, 0},
    { 0, 0xc, 0, 139, 0},
    { 0, 0xc, 0, 139, 0},
    { 0, 0xc, 0, 139, 0},
    { 0, 0xc, 0, 139, 0},
    { 0, 0xc, 0, 139, 0},
    { 0, 0xc, 0, 139, 0},
    { 0, 0xc, 0, 139, 0},
    { 0, 0xc, 0, 139, 0},
    { 0, 0xc, 0, 139, 0},
    { 0, 0xc, 0, 139, 0},
    { 0, 0xc, 0, 139, 0},
    { 0, 0xc, 0, 139, 0},
    // 1125: Local time: 2015-11-15 03:26:00 PM
    { 0, 0xc, 0, 139, 0},
    { 0, 0xc, 0, 139, 0},
    { 0, 0xc, 0, 139, 0},
    { 0, 0xc, 0, 139, 0},
    { 0, 0xc, 0, 139, 0},
    { 0, 0xc, 0, 139, 0},
    { 0, 0xc, 0, 139, 0},
    { 0, 0xc, 0, 139, 0},
    { 0, 0xc, 0, 139, 0},
    { 0, 0xc, 0, 139, 0},
    { 0, 0xc, 0, 139, 0},
    { 0, 0xc, 0, 139, 0},
    { 0, 0xc, 0, 139, 0},
    { 0, 0xc, 0, 139, 0},
    { 0, 0xc, 0, 139, 0},
    // 1140: Local time: 2015-11-15 03:41:00 PM
    { 0, 0xc, 0, 139, 0},
    { 0, 0xc, 0, 139, 0},
    { 0, 0xc, 0, 139, 0},
    { 0, 0xc, 0, 139, 0},
    { 0, 0xc, 0, 139, 0},
    { 0, 0xc, 0, 139, 0},
    { 0, 0xc, 0, 139, 0},
    { 0, 0xc, 0, 139, 0},
    { 0, 0xc, 0, 139, 0},
    { 0, 0xc, 0, 139, 0},
    { 0, 0xc, 0, 139, 0},
    { 0, 0xc, 0, 139, 0},
    { 0, 0xc, 0, 139, 0},
    { 0, 0xc, 0, 139, 0},
    { 0, 0xc, 0, 139, 0},
    // 1155: Local time: 2015-11-15 03:56:00 PM
    { 0, 0xc, 0, 139, 0},
    { 0, 0xc, 0, 139, 0},
    { 0, 0xc, 0, 139, 0},
    { 0, 0xc, 0, 139, 0},
    { 0, 0xc, 0, 139, 0},
    { 0, 0xc, 0, 139, 0},
    { 0, 0xc, 0, 139, 0},
    { 0, 0xc, 0, 139, 0},
    { 0, 0xc, 0, 139, 0},
    { 0, 0xc, 0, 139, 0},
    { 0, 0xc, 0, 139, 0},
    { 0, 0xc, 0, 139, 0},
    { 0, 0xc, 0, 139, 0},
    { 0, 0xc, 0, 139, 0},
    { 0, 0xc, 0, 139, 0},
    // 1170: Local time: 2015-11-15 04:11:00 PM
    { 0, 0xc, 0, 139, 0},
    { 0, 0xc, 0, 139, 0},
    { 0, 0xc, 0, 139, 0},
    { 0, 0xc, 0, 139, 0},
    { 0, 0xc, 0, 139, 0},
    { 0, 0xc, 0, 139, 0},
    { 0, 0xc, 0, 139, 0},
    { 0, 0xc, 0, 139, 0},
    { 0, 0xc, 0, 139, 0},
    { 0, 0xc, 0, 139, 0},
    { 0, 0xc, 0, 139, 0},
    { 0, 0xc, 0, 139, 0},
    { 0, 0xc, 0, 139, 0},
    { 0, 0xc, 0, 139, 0},
    { 0, 0xc, 0, 139, 0},
    // 1185: Local time: 2015-11-15 04:26:00 PM
    { 0, 0xc, 0, 139, 0},
    { 0, 0xc, 0, 139, 0},
    { 0, 0xc, 0, 139, 0},
    { 0, 0xc, 0, 139, 0},
    { 0, 0xc, 0, 139, 0},
    { 0, 0xc, 0, 139, 0},
    { 0, 0xc, 0, 139, 0},
    { 0, 0xc, 0, 139, 0},
    { 0, 0xc, 0, 139, 0},
    { 0, 0xc, 0, 139, 0},
    { 0, 0xc, 0, 139, 0},
    { 0, 0xc, 0, 139, 0},
    { 0, 0xc, 0, 139, 0},
    { 0, 0xc, 0, 138, 0},
    { 0, 0xc, 0, 139, 0},
    // 1200: Local time: 2015-11-15 04:41:00 PM
    { 0, 0xc, 0, 139, 0},
    { 0, 0xc, 0, 139, 0},
    { 0, 0xc, 0, 139, 0},
    { 0, 0xc, 0, 139, 0},
    { 0, 0xc, 0, 139, 0},
    { 0, 0xc, 0, 139, 0},
    { 0, 0xc, 0, 139, 0},
    { 0, 0xc, 0, 139, 0},
    { 0, 0xc, 0, 139, 0},
    { 0, 0xc, 0, 139, 0},
    { 0, 0xc, 0, 139, 0},
    { 0, 0xc, 0, 139, 0},
    { 0, 0xc, 0, 139, 0},
    { 0, 0xc, 0, 139, 0},
    { 0, 0xc, 0, 139, 0},
    // 1215: Local time: 2015-11-15 04:56:00 PM
    { 0, 0xc, 0, 139, 0},
    { 0, 0xc, 0, 139, 0},
    { 0, 0xc, 0, 138, 0},
    { 0, 0xc, 0, 138, 0},
    { 0, 0x0, 0, 123, 0},
    { 20, 0x39, 2494, 139, 0},
    { 0, 0x49, 75, 139, 0},
    { 29, 0x39, 2585, 139, 0},
    { 0, 0x39, 404, 139, 0},
    { 8, 0x39, 811, 139, 0},
    { 27, 0x39, 1238, 139, 0},
    { 0, 0x39, 1513, 139, 0},
    { 12, 0x39, 1062, 139, 0},
    { 46, 0x39, 2284, 139, 0},
    { 21, 0x39, 1112, 139, 0},
    // 1230: Local time: 2015-11-15 05:10:00 PM
    { 84, 0x39, 4396, 139, 0},
    { 34, 0x39, 3067, 139, 0},
    { 0, 0x49, 5, 138, 0},
    { 0, 0x39, 10, 138, 0},
    { 0, 0x39, 31, 138, 0},
    { 0, 0x39, 22, 138, 0},
    { 0, 0x39, 33, 138, 0},
    { 0, 0x39, 57, 138, 0},
    { 0, 0x39, 8, 138, 0},
    { 0, 0x39, 38, 138, 0},
    { 0, 0x3a, 38, 138, 0},
    { 0, 0x39, 31, 138, 0},
    { 0, 0x39, 17, 137, 0},
    { 0, 0x39, 106, 138, 0},
    { 0, 0x39, 62, 138, 0},
  };
  *len = ARRAY_LENGTH(samples);
  return samples;
}

